#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xc0d0f81d, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x69207fae, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x3b22a766, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x9026d7a9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x28d8399a, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xafd41c43, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x36368863, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x4ec77588, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x93da2a93, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xade4aac0, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xb13b7cec, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x09f4b71f, "_gpl");
SYMBOL_CRC(mhi_notify, 0x8f9e671d, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x163e2b53, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x04029636, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xfb870231, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xfc958286, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xbfab8148, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xf5db0a2c, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xb70329d8, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xf0e160a5, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x08b92ac9, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3cb0b37c, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xcdb81bee, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xf80b2538, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x668ba9ad, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xbdc8dae9, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x8a8b4680, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x7bb8a1a1, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xc398acc8, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xa9ceff0b, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xf8164f4d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x427aab30, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0x11d5b45d, "dma_unmap_page_attrs" },
	{ 0x49bbecca, "request_firmware" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0xb971421b, "device_initialize" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7e4fc9e3, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11cb0c25, "bpf_trace_run2" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0x2d712174, "__wake_up" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0xc363dd2d, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0x52d246b3, "dma_map_page_attrs" },
	{ 0x4dc0ae9c, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xf9129cd0, "put_device" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0xc229334, "_dev_err" },
	{ 0xd6551b16, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7c86c05d, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x8d5b4eb8, "dma_alloc_attrs" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x85551ba9, "ida_free" },
	{ 0xab6e6785, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x35f0c5c9, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3f9c0af, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x768b7f7c, "driver_register" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x8042f71f, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8615C9DE2D5B950726F5A5C");
MODULE_INFO(rhelversion, "9.5");
