#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x12696311, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x34b449f3, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x783c849c, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x4c917178, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xd0baac19, "");
SYMBOL_CRC(drm_atomic_state_init, 0xf61a52a9, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x36d563f0, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x8ecd2511, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x4a0db317, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xad1aea2a, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xf490a869, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0xb22ec006, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x5015390c, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x0e021c7a, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x1b7a7d2e, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x9a0b3f39, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x650ae108, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xe47ba31f, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x538d8d59, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x59df254b, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x03fbcc87, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x7e64de72, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x5be3fae8, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xa850d908, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xf5d3a319, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xa1814e1a, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xc1891201, "");
SYMBOL_CRC(drm_atomic_check_only, 0x7ecd5158, "");
SYMBOL_CRC(drm_atomic_commit, 0xd00d279f, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x34a49e84, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xad1b8295, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x54e35edf, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xb57e1b5b, "");
SYMBOL_CRC(drm_state_dump, 0x18295d13, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xa50bb6a8, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xe628abe3, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x66c76f3d, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x2af566b4, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x20910da6, "");
SYMBOL_CRC(drm_is_current_master, 0x21d1dfbf, "");
SYMBOL_CRC(drm_master_get, 0x8dfdfe30, "");
SYMBOL_CRC(drm_file_get_master, 0x3fb6d3ac, "");
SYMBOL_CRC(drm_master_put, 0xa924b9d3, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xa54d3686, "");
SYMBOL_CRC(drm_master_internal_release, 0x200d088b, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x1922f09d, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xa6ee9d71, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x7a5b2bbf, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xe1dfcbc1, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x71bd8c3f, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x06f33b52, "");
SYMBOL_CRC(drm_bridge_add, 0x5473b206, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x5e002a5b, "");
SYMBOL_CRC(drm_bridge_remove, 0xe8e3ad39, "");
SYMBOL_CRC(drm_bridge_attach, 0x265e6baf, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x35cc98e0, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x32a7443b, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xed7c8b03, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x3d585dd0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xe09231a7, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xe665fe06, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xabeec926, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x5c920e3c, "");
SYMBOL_CRC(drm_bridge_detect, 0xba882c30, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xc9400bbf, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xb24927d2, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x5e3b8bfa, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xb9944f22, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xed9fb7a6, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0xc311bc4d, "");
SYMBOL_CRC(drm_clflush_pages, 0x144afc45, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x7f55b10f, "");
SYMBOL_CRC(drm_client_register, 0xf9a1fb4c, "");
SYMBOL_CRC(drm_client_release, 0x61006eb7, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xfec2809d, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xed081bdc, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x4f0db16d, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xb1435b7e, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x92af1d73, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x3ef4717f, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x08c12ed9, "");
SYMBOL_CRC(drm_client_rotation, 0x8ff5dd58, "");
SYMBOL_CRC(drm_client_modeset_check, 0x24ff1b54, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x560b0f2c, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x43b765d5, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xd68abfbf, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x6c8fa9dd, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x17284ca9, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x2daa80e3, "");
SYMBOL_CRC(drm_color_lut_check, 0xfc952ac0, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x07e050cc, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x7f1c1799, "");
SYMBOL_CRC(drmm_connector_init, 0x09070470, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xa7b76965, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x76d61425, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x51c644a1, "");
SYMBOL_CRC(drm_connector_cleanup, 0xa62300d4, "");
SYMBOL_CRC(drm_connector_register, 0x403f437b, "");
SYMBOL_CRC(drm_connector_unregister, 0xed9971e3, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x1e345303, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x45c6b27a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x852c8820, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x1a32acb4, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x59a41fcb, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x6fb6fd21, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xfa66ade0, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x426e2741, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x5f0f423f, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x43efa0b7, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x15f0dbbc, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x9970045b, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xd370bead, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x9d0353b1, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x6e8ddfcc, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x626edb7a, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x0e7f7f36, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xd878c618, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x58e7dd3f, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x4f7c17b8, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x184ce7fc, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0xab87287f, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x3204874b, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x2c1c1389, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xc39be6c5, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x2e666b93, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x49e79c0d, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x4dd3c413, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x036da9eb, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xa816994b, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x2de09fdc, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x02d19274, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x69dc8584, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x80b358e6, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x60dbac90, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x819023ac, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xf71a2d2f, "");
SYMBOL_CRC(drm_crtc_from_index, 0xbf1a348f, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x55f1c426, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x016b1e53, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x8161d30e, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xf7489835, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x83a6e54f, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x5b8857a7, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xba90e855, "");
SYMBOL_CRC(drm_put_dev, 0x7f06fd99, "");
SYMBOL_CRC(drm_dev_enter, 0x7d938832, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xdab6e455, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xe0a7c9a8, "");
SYMBOL_CRC(drm_dev_alloc, 0xf26cc264, "");
SYMBOL_CRC(drm_dev_get, 0x5fd8877a, "");
SYMBOL_CRC(drm_dev_put, 0xcfd8dae7, "");
SYMBOL_CRC(drm_dev_register, 0xd34f69dd, "");
SYMBOL_CRC(drm_dev_unregister, 0x48d05092, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x7083eb2c, "");
SYMBOL_CRC(drm_do_get_edid, 0x837c1fc1, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x92b7ad6c, "");
SYMBOL_CRC(drm_get_edid, 0x4eb0042f, "");
SYMBOL_CRC(drm_edid_read_custom, 0xbf93fc2f, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xf50c22ee, "");
SYMBOL_CRC(drm_edid_read, 0x5e61fa88, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x26316e55, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x5db36e56, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xd7977fa5, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xa410a1ec, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x1895df66, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0x3d603949, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x9a15484d, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xe53ff841, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xd82087c5, "");
SYMBOL_CRC(drm_add_edid_modes, 0x5182846b, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xf0e82498, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xf94de136, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xf3baeb55, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x67e76eed, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xd52b6711, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x98a3811d, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x39ca621c, "");
SYMBOL_CRC(drmm_encoder_init, 0x21f09df1, "");
SYMBOL_CRC(drm_open, 0x8e199c4c, "");
SYMBOL_CRC(drm_release, 0x0e057907, "");
SYMBOL_CRC(drm_release_noglobal, 0x759fc88b, "");
SYMBOL_CRC(drm_read, 0x6f50bad4, "");
SYMBOL_CRC(drm_poll, 0x4d2b6081, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x44423a04, "");
SYMBOL_CRC(drm_event_reserve_init, 0x313ab3ed, "");
SYMBOL_CRC(drm_event_cancel_free, 0x1cf0692d, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xd4e6721f, "");
SYMBOL_CRC(drm_send_event_locked, 0xedb9e11f, "");
SYMBOL_CRC(drm_send_event, 0x82bb9205, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0xef947661, "");
SYMBOL_CRC(drm_show_fdinfo, 0xafcfa1ec, "");
SYMBOL_CRC(mock_drm_getfile, 0xd5d54972, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x5a6f3f92, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x475ce925, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xef8bd4d7, "");
SYMBOL_CRC(drm_framebuffer_init, 0x07bd156f, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x7b610527, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x8f09198d, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x8f91cc47, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x88ea56af, "");
SYMBOL_CRC(drm_gem_object_init, 0x4178f069, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x933d89b2, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x2b4d72c7, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x41b9f6e8, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x02d52b02, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x06b627e5, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xefc089df, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x6bd9f36c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x70a08228, "");
SYMBOL_CRC(drm_gem_get_pages, 0x96652603, "");
SYMBOL_CRC(drm_gem_put_pages, 0x6f024882, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x5e865e98, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xb6132ebb, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xad4a5398, "");
SYMBOL_CRC(drm_gem_object_release, 0x267a9de3, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xecc64fef, "");
SYMBOL_CRC(drm_gem_vm_close, 0xc32fe0d2, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xc0452620, "");
SYMBOL_CRC(drm_gem_mmap, 0x147461fe, "");
SYMBOL_CRC(drm_gem_vmap, 0xa1cacb4f, "");
SYMBOL_CRC(drm_gem_vunmap, 0x11bf2696, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0xde9ab61e, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xda719d35, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xfddb76ec, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xf7f4e1db, "");
SYMBOL_CRC(drm_gem_lru_init, 0x3c25dba5, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xbbd46cfc, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x48fc59ba, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xf0b15989, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x3b1c9efa, "");
SYMBOL_CRC(drm_gem_evict, 0x707f61a3, "");
SYMBOL_CRC(drm_noop, 0x7d0c0d2f, "");
SYMBOL_CRC(drm_invalid_op, 0x5968f73e, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xd5d34bf4, "");
SYMBOL_CRC(drm_ioctl, 0x8b0e1263, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x57ae0dac, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x196a3a14, "");
SYMBOL_CRC(drmm_release_action, 0x78b45fbb, "");
SYMBOL_CRC(drmm_kmalloc, 0x23ff0f11, "");
SYMBOL_CRC(drmm_kstrdup, 0x582cd640, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x1894640a, "");
SYMBOL_CRC(__drmm_mutex_release, 0x65951400, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0xb9315cf1, "");
SYMBOL_CRC(drmm_mode_config_init, 0xb47de124, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xc0d7f510, "");
SYMBOL_CRC(drm_mode_object_find, 0x64b36c61, "");
SYMBOL_CRC(drm_mode_object_put, 0x820a3e6e, "");
SYMBOL_CRC(drm_mode_object_get, 0xae754e55, "");
SYMBOL_CRC(drm_object_attach_property, 0x644c7ea7, "");
SYMBOL_CRC(drm_object_property_set_value, 0xfbfdd35e, "");
SYMBOL_CRC(drm_object_property_get_value, 0x6bf9855f, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x4a7f0017, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x7d773dc8, "");
SYMBOL_CRC(drm_mode_destroy, 0xafe45759, "");
SYMBOL_CRC(drm_mode_probed_add, 0xcb71379b, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xc7ae00c2, "");
SYMBOL_CRC(drm_cvt_mode, 0x3afb40ef, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x109fd704, "");
SYMBOL_CRC(drm_gtf_mode, 0xe5ce340a, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x65e7bea0, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xf256abda, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x728f2c90, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xf92f224d, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x3149b42f, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x19dd1437, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x48cd65e3, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xd35a1768, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xd5c706c8, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x3d1c492a, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x111c7c6a, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xe40bd5e0, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x76519c81, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xa04561a9, "");
SYMBOL_CRC(drm_modeset_backoff, 0x9296f07a, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x44fcb479, "");
SYMBOL_CRC(drm_modeset_lock, 0xbd5e5b9d, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xe61856e5, "");
SYMBOL_CRC(drm_modeset_unlock, 0x7b7cf498, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0xc57201f9, "");
SYMBOL_CRC(drm_universal_plane_init, 0xd1b5c7fc, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xddb15a67, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xe15c39d7, "");
SYMBOL_CRC(drm_plane_cleanup, 0x5324fad1, "");
SYMBOL_CRC(drm_plane_from_index, 0xf9cf29fc, "");
SYMBOL_CRC(drm_plane_force_disable, 0x085586d8, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x366fd27b, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x6c4e6fec, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xe20404dc, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xc32e54e7, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x1ab63856, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x37a91969, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x94831b6d, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x47c6321c, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xfde0c47e, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xc0bd5caf, "");
SYMBOL_CRC(drm_gem_map_attach, 0x53b82216, "");
SYMBOL_CRC(drm_gem_map_detach, 0x333ce29f, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x2cf861f5, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x95514392, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x5d0b1d22, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x2d34092b, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x276ae711, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x4642bcad, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x82ff67a9, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x1efc9cbe, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xd2c3b752, "");
SYMBOL_CRC(drm_gem_prime_import, 0xa32b2d06, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x296e6aee, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x717ff900, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0x3cdd63bf, "");
SYMBOL_CRC(__drm_dev_dbg, 0x4a1c4f62, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x24cb8d1d, "");
SYMBOL_CRC(drm_property_create, 0x4cd8c100, "");
SYMBOL_CRC(drm_property_create_enum, 0x18843734, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xb2aea15e, "");
SYMBOL_CRC(drm_property_create_range, 0xae039b22, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xe0930617, "");
SYMBOL_CRC(drm_property_create_object, 0xf059c219, "");
SYMBOL_CRC(drm_property_create_bool, 0x72b7acdf, "");
SYMBOL_CRC(drm_property_add_enum, 0x0f66f3b2, "");
SYMBOL_CRC(drm_property_destroy, 0x8c2de970, "");
SYMBOL_CRC(drm_property_create_blob, 0x17addd71, "");
SYMBOL_CRC(drm_property_blob_put, 0x01b519dd, "");
SYMBOL_CRC(drm_property_blob_get, 0x0b9b2297, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xa36aebbc, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xa67e5032, "");
SYMBOL_CRC(drm_property_replace_blob, 0x9fbf3df8, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xf416ce70, "");
SYMBOL_CRC(drm_syncobj_find, 0x000eda81, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xfbbe557a, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xd7dfb43a, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x499d5d92, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x1c4a42bc, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x4fc4b278, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xb5413710, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0xd42bd9d2, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xfa1da374, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xe590ffd2, "");
SYMBOL_CRC(drm_class_device_register, 0xa912c65a, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x77b125b2, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x07e4ddce, "");
SYMBOL_CRC(drm_vblank_init, 0x33d954a5, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x173abaa4, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x6aa12b09, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x6b3ab640, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x769bee22, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xa3b9aa7e, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xd26ecd15, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x4f8eab67, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x4e1ebd0d, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0xbb6d8393, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x10b846a9, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0xc7aec345, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x92324d31, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xb9687f77, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x2e9150c2, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xae916625, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xf6564918, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x7c5e0049, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x9463074f, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x8a1fe65c, "");
SYMBOL_CRC(drm_handle_vblank, 0x3bd47236, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xa9141cbc, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x0c602366, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xbef90eec, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x687f2896, "");
SYMBOL_CRC(drm_vblank_work_init, 0xbf1fddbc, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xba9e1d50, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3e02dba0, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xb599cb9b, "");
SYMBOL_CRC(drm_vma_offset_add, 0xb641f786, "");
SYMBOL_CRC(drm_vma_offset_remove, 0xa5113d54, "");
SYMBOL_CRC(drm_vma_node_allow, 0x44a6b297, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x3b04e3fa, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x3632a7e9, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x666e638f, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x24fc696e, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x3cfa5d40, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x25a345d2, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x55934378, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x0d7f5f85, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xbaff035f, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x14ff286e, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0x5f867b50, "");
SYMBOL_CRC(drm_panel_add, 0xe37a4904, "");
SYMBOL_CRC(drm_panel_remove, 0x55eabe9c, "");
SYMBOL_CRC(drm_panel_prepare, 0x853d1efd, "");
SYMBOL_CRC(drm_panel_unprepare, 0x7404c7a2, "");
SYMBOL_CRC(drm_panel_enable, 0x72a550d4, "");
SYMBOL_CRC(drm_panel_disable, 0x78d6f220, "");
SYMBOL_CRC(drm_panel_get_modes, 0xfa40d000, "");
SYMBOL_CRC(of_drm_find_panel, 0xce6951cf, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x2cf103a8, "");
SYMBOL_CRC(drm_is_panel_follower, 0x7f3c9a18, "");
SYMBOL_CRC(drm_panel_add_follower, 0x80d5036e, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xced0bc7e, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xb8bb5c93, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xc44629d3, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x673b5022, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0xa8ce034c, "");
SYMBOL_CRC(drm_of_component_match_add, 0xdf6c4560, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xde3aeae6, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0xe46960c2, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x7c48a641, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0x850d52b6, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x2f874e17, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0x39aa8bed, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x7fdd552d, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0xfa6daaad, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x25e1ec5c, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xcdcf9e84, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x7ff4ebfb, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xe6133ba5, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xbf3f74d1, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xf6419f85, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xc5841e6f, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf30a7dd7, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5dc0f784, "alloc_anon_inode" },
	{ 0xe0025b8d, "show_class_attr_string" },
	{ 0x24d8d1a5, "kthread_cancel_work_sync" },
	{ 0xe676dc2a, "is_acpi_device_node" },
	{ 0x2f772d13, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xc437d1a0, "kthread_flush_work" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0xba313740, "ida_destroy" },
	{ 0xee5b1f35, "idr_find" },
	{ 0x5e65b349, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x374fe2d7, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x83eafcf, "shmem_read_folio_gfp" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x39e51c7b, "component_master_add_with_match" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x3b45761f, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xf60c32bf, "dma_resv_wait_timeout" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0xae0ab0ff, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xc15b1d25, "kthread_flush_worker" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x49bbecca, "request_firmware" },
	{ 0x3410b4f, "class_destroy" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x8438f044, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0xe699c02d, "idr_replace" },
	{ 0x85ce3534, "ww_mutex_unlock" },
	{ 0xb971421b, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x4085d056, "fd_install" },
	{ 0xec18990f, "dma_fence_chain_ops" },
	{ 0xc941bbde, "of_graph_parse_endpoint" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3a9d446a, "component_del" },
	{ 0xa301b146, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xb79f8036, "iput" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0x61f0638, "of_graph_get_remote_port_parent" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0xc50cb0bb, "of_graph_get_remote_port" },
	{ 0xf41af0c, "dma_buf_unmap_attachment_unlocked" },
	{ 0x65ff233a, "__pagevec_release" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x2d712174, "__wake_up" },
	{ 0x2606f259, "dma_fence_add_callback" },
	{ 0x23955555, "synchronize_srcu" },
	{ 0xc94b54b6, "dma_fence_set_deadline" },
	{ 0xc363dd2d, "get_device" },
	{ 0x133887bf, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4fe985b9, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdc6a6f8e, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x651ae1bc, "wake_up_process" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0x28d4f963, "dma_buf_map_attachment_unlocked" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x9ac56f40, "ww_mutex_trylock" },
	{ 0x3b84bbae, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6433aed6, "devm_of_find_backlight" },
	{ 0x57d02c03, "of_get_next_child" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x8e74b63b, "dma_max_mapping_size" },
	{ 0xf9129cd0, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0xd94c8c3e, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0xdefe9d5a, "kthread_queue_work" },
	{ 0x7ee55cc2, "idr_get_next" },
	{ 0xcaabcaa0, "dma_fence_remove_callback" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0x3cd29c80, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd445707e, "atomic_dec_and_mutex_lock" },
	{ 0x3c3877e8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9aaa249b, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xe0588b54, "dma_fence_chain_walk" },
	{ 0xfe965948, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfc6cbc25, "__task_pid_nr_ns" },
	{ 0x6c950cf, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x8711126e, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x19131573, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0xb61e03f8, "fput" },
	{ 0xc229334, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7c86c05d, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1298575e, "__of_parse_phandle_with_args" },
	{ 0x20822d48, "sysfs_remove_link" },
	{ 0x60777667, "idr_alloc" },
	{ 0x56ad982e, "pid_task" },
	{ 0xfa6122f8, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x6fae7df8, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1b4e651e, "noop_llseek" },
	{ 0x6b1d7b19, "dma_fence_signal" },
	{ 0x96948842, "folio_mark_accessed" },
	{ 0x81b95f89, "dma_resv_fini" },
	{ 0x93413f5f, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf19a626d, "dma_buf_get" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xed4395d7, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfd06ab4d, "ww_mutex_lock" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x68ffb92c, "of_property_count_elems_of_size" },
	{ 0xf6454798, "dma_buf_put" },
	{ 0x85551ba9, "ida_free" },
	{ 0xdef37c40, "dma_buf_fd" },
	{ 0x93e56d8, "of_property_read_string" },
	{ 0xc586c528, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x14333a98, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xdb8e1558, "of_device_is_available" },
	{ 0x6c1fc81a, "dma_fence_init" },
	{ 0xc22c8912, "mutex_lock_interruptible" },
	{ 0x6953e0c3, "of_graph_get_remote_node" },
	{ 0x9aeb91a8, "device_register" },
	{ 0x35f0c5c9, "device_del" },
	{ 0x6b15569b, "idr_destroy" },
	{ 0x879942e9, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0xb476e59c, "unregister_acpi_bus_type" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xdf296fc9, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25de67b6, "component_release_of" },
	{ 0xafaf4c89, "devm_aperture_acquire_for_platform_device" },
	{ 0x81602b31, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9bbc8b3f, "check_move_unevictable_folios" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x17166e34, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x438b7c89, "idr_for_each" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x8ca7637c, "of_find_mipi_dsi_host_by_node" },
	{ 0x7d43d200, "dma_map_sgtable" },
	{ 0xc0ddbec0, "kthread_destroy_worker" },
	{ 0x1b8f25a, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x43b30da8, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xcc5b3d7, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe1d9719e, "seq_write" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x5372d628, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd74ccce, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8c1ee539, "__rt_mutex_init" },
	{ 0x68a644d1, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x85b23566, "i2c_transfer" },
	{ 0x60ddba5e, "dma_fence_allocate_private_stub" },
	{ 0xb05f9cc9, "dma_buf_detach" },
	{ 0x686bb696, "dma_fence_signal_timestamp" },
	{ 0x7504bf90, "dma_fence_chain_init" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x17cc44d4, "dev_printk" },
	{ 0x91766d51, "pid_vnr" },
	{ 0xe360a9af, "sched_set_fifo" },
	{ 0x7730ed96, "of_node_name_eq" },
	{ 0xc966651, "simple_release_fs" },
	{ 0x9971d6f3, "dma_unmap_sg_attrs" },
	{ 0xc77e5575, "kill_anon_super" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x676f8576, "__devm_add_action" },
	{ 0xe79fea49, "component_add" },
	{ 0x78f3b7de, "dma_resv_test_signaled" },
	{ 0xf769e212, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5bbc5fdc, "dma_fence_chain_find_seqno" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x17b8e167, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x43ddbf04, "sync_file_get_fence" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x8a675de1, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x22dc16fc, "__dev_fwnode" },
	{ 0x253bb36d, "pci_bus_type" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x78e4d864, "class_remove_file_ns" },
	{ 0xd6e15888, "simple_pin_fs" },
	{ 0xa389ef8d, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "5583C507726B038AF678635");
MODULE_INFO(rhelversion, "9.5");
