#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xc55b1d8d, "");
SYMBOL_CRC(drm_gem_vram_put, 0x87a03883, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x8701cb99, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xf30a2062, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xb82eed51, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xa58e7cd3, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x8f3a059d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xb6c2f716, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x267bf1e1, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x58e67238, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x4d2e5dc8, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xd14d83f7, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xb2d5dbbf, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x56b88bf2, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x9ddcf3ea, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x112238eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f6086a1, "ttm_range_man_init_nocheck" },
	{ 0xf30a7dd7, "ww_mutex_lock_interruptible" },
	{ 0x1aad5da9, "ttm_resource_manager_debug" },
	{ 0x85ce3534, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7eaaa2f, "ttm_range_man_fini_nocheck" },
	{ 0x4178f069, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0x169250fe, "ttm_bo_pin" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0xd7eac472, "drm_gem_ttm_mmap" },
	{ 0x196a3a14, "__drmm_add_action_or_reset" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc6876bef, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x267a9de3, "drm_gem_object_release" },
	{ 0xde410af5, "ttm_tt_init" },
	{ 0x6b627e5, "drm_gem_handle_create" },
	{ 0x4665efe7, "drm_gem_fb_get_obj" },
	{ 0xe0f8b138, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xbf3f74d1, "drm_debugfs_add_files" },
	{ 0x6ba0d273, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x62de3ab5, "ttm_device_init" },
	{ 0x9e050004, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8593a1df, "ttm_bo_move_to_lru_tail" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xb4f266ef, "ttm_bo_vmap" },
	{ 0x7463f93b, "ttm_bo_put" },
	{ 0x4e678cb0, "ttm_resource_free" },
	{ 0xebe1afe3, "ttm_bo_move_memcpy" },
	{ 0x95d1d0e2, "ttm_tt_fini" },
	{ 0x15540ce6, "ttm_device_fini" },
	{ 0xebe67f56, "drm_gem_plane_helper_prepare_fb" },
	{ 0xf6bec419, "ttm_bo_eviction_valuable" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xc6a5ecf3, "drm_gem_ttm_print_info" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.5");
