#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0x65de4110, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xbd3c240a, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x0dffa423, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0xc197cce6, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0xed046dbc, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0x1da6f0d7, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x2722ca6f, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ff15d47, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96640317, "misc_deregister" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xdafd3d4d, "devm_kmalloc" },
	{ 0xbafca4d, "coresight_disclaim_device_unlocked" },
	{ 0xaa63b1dd, "amba_driver_unregister" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x11d5b45d, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x572f333d, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xfbe56f60, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0x52d246b3, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x3beed2bd, "dma_alloc_pages" },
	{ 0x74aac3f2, "coresight_unregister" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4f3c1822, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x314814c, "__free_pages" },
	{ 0x7d780dbe, "fwnode_property_read_u32_array" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0xfa9f910e, "coresight_claim_device" },
	{ 0x2fb247, "iommu_get_domain_for_dev" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xa9e645bf, "__dma_sync_single_for_cpu" },
	{ 0xc229334, "_dev_err" },
	{ 0x60777667, "idr_alloc" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x3a8dfdb6, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xed30d8d0, "misc_register" },
	{ 0x558318ec, "__alloc_pages" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xf9773fb4, "nonseekable_open" },
	{ 0xd1423b80, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf69e4329, "fwnode_property_present" },
	{ 0x8758d7fd, "__pm_runtime_resume" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x7001d919, "__dma_sync_single_for_device" },
	{ 0x6cc2df5e, "devm_ioremap_resource" },
	{ 0x7528b005, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd7d14d6c, "dma_set_mask" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x87880651, "perf_aux_output_flag" },
	{ 0x6986118, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x9374b5f, "amba_driver_register" },
	{ 0x7e20eb76, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x24508bbb, "coresight_disclaim_device" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.5");
