#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x50fee5e2, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x9ef9e0d1, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x96fd0a64, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xfd2af05b, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x4676a046, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x95435312, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x60c9e583, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x489bf824, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xa5e1138c, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x842ada1c, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x04621581, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xa67b5c17, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x2e509730, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x0dd908f7, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x31bf7227, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x5f259240, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xac87a2bb, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0xb971421b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x2d712174, "__wake_up" },
	{ 0xc363dd2d, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x651ae1bc, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x9086eca2, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x92a07b10, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf9129cd0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x61dd5c6b, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0xd284719, "kthread_create_on_node" },
	{ 0x17166e34, "seq_read" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x17b8e167, "single_open" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x902f18d0, "cdev_init" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x8042f71f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13504F5D380BA58ACD4AAC7");
MODULE_INFO(rhelversion, "9.5");
