#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xc0cc28f0, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x7d3bc034, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x04c15ff6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa753599f, "rtnl_link_register" },
	{ 0x46900924, "genl_register_family" },
	{ 0x1049c7c2, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x1780cc35, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb415b350, "crypto_alloc_aead" },
	{ 0x1b568c0b, "crypto_aead_setkey" },
	{ 0xaab5f3ed, "crypto_aead_setauthsize" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x93f62687, "skb_pull" },
	{ 0xb1b9befc, "___pskb_trim" },
	{ 0xbf0ed4eb, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xcf02c870, "dev_mc_sync" },
	{ 0x899f99f3, "dev_uc_sync" },
	{ 0xc38f26bd, "dev_set_allmulti" },
	{ 0xe7b30022, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8fa0ae18, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8ff6e5ab, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1e27e959, "skb_clone" },
	{ 0xc6eb85e0, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7073d732, "register_netdevice" },
	{ 0xfff27e9e, "netdev_upper_dev_link" },
	{ 0x3d71ae32, "netdev_upper_dev_unlink" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9d407b20, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x577537c3, "netif_stacked_transfer_operstate" },
	{ 0x6d8bce3f, "linkwatch_fire_event" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x39160e90, "netdev_rx_handler_register" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2e1ad187, "skb_copy_expand" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0x332645a0, "skb_push" },
	{ 0x63776ae7, "skb_put" },
	{ 0xa841f888, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x115274a3, "skb_to_sgvec" },
	{ 0x32249359, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x1b590fcd, "skb_copy" },
	{ 0x7c13717b, "skb_trim" },
	{ 0xfffc7009, "metadata_dst_free" },
	{ 0xcf9bd505, "__dev_queue_xmit" },
	{ 0x13aa8824, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbd4c5167, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9b06671f, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8c023252, "netdev_rx_handler_unregister" },
	{ 0x2420c2cc, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd7ab8b3f, "netif_carrier_off" },
	{ 0x876a91c7, "dev_mc_unsync" },
	{ 0x8ba87db0, "dev_uc_unsync" },
	{ 0x39b584c5, "dev_uc_del" },
	{ 0xd5f3fd7d, "dev_uc_add" },
	{ 0x4674d8af, "netif_carrier_on" },
	{ 0x45d974ff, "eth_type_trans" },
	{ 0x7cdea264, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x413bfcf, "genlmsg_put" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0EC060C24EB84872514B46");
MODULE_INFO(rhelversion, "9.5");
