#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x42f919bc, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x949753c2, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x934e8117, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xf041fd38, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x7e06d67e, "__skb_checksum_complete" },
	{ 0xfe20a6d1, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xb20dde12, "__nlmsg_put" },
	{ 0x79e90afb, "netdev_adjacent_change_commit" },
	{ 0x91aa5907, "eth_mac_addr" },
	{ 0x63776ae7, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1937f4ae, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88cd5474, "ip6_dst_hoplimit" },
	{ 0xda14a132, "param_ops_ushort" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xe6ae5210, "udp_sock_create4" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xd483abb6, "udp_tunnel6_xmit_skb" },
	{ 0xa753599f, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x7e070c42, "__unregister_nexthop_notifier" },
	{ 0xd21d6411, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a2b8f6, "eth_validate_addr" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xbd4c5167, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x490e5cf, "rtnl_create_link" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x6e0b60a3, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xbf0ed4eb, "ether_setup" },
	{ 0x3ecd5b1e, "udp_tunnel_drop_rx_port" },
	{ 0xfff27e9e, "netdev_upper_dev_link" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x7f494377, "netdev_core_stats_alloc" },
	{ 0x45d974ff, "eth_type_trans" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x30e61188, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x51897ec4, "eth_gro_complete" },
	{ 0xbbf06f47, "rtnl_set_sk_err" },
	{ 0x1ca40a43, "eth_gro_receive" },
	{ 0x67e564c, "rtnl_configure_link" },
	{ 0x854c7885, "skb_tunnel_check_pmtu" },
	{ 0x9d762bfa, "udp_tunnel_dst_lookup" },
	{ 0x85afb111, "rtnl_unicast" },
	{ 0x42c39623, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xef0e4df9, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8ff6e5ab, "__dev_get_by_index" },
	{ 0x1049c7c2, "rtnl_link_unregister" },
	{ 0x3d50b584, "__skb_get_hash" },
	{ 0x9a245ff2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x93f62687, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7e904b79, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9b673a89, "dev_get_by_index_rcu" },
	{ 0x7cdea264, "gro_cells_receive" },
	{ 0x332645a0, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3d71ae32, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xdc986e4f, "free_netdev" },
	{ 0xfdaa039e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6fe5b606, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd92a29e5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ce9bc42, "ethtool_op_get_link" },
	{ 0x63a4fbb8, "nexthop_find_by_id" },
	{ 0x267decbc, "arp_create" },
	{ 0x97e2b0c5, "__ethtool_get_link_ksettings" },
	{ 0x2dae2397, "netdev_adjacent_change_prepare" },
	{ 0xa9ba18d7, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0xab97b63d, "netdev_adjacent_change_abort" },
	{ 0x1742079, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf48d7d5, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbfcf46ec, "__iptunnel_pull_header" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0xab2eda35, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2ebc932d, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xd8a98e4f, "setup_udp_tunnel_sock" },
	{ 0xaec1bf64, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7c13717b, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x803c6788, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea595301, "skb_scrub_packet" },
	{ 0x30c1795e, "nexthop_select_path" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfffc7009, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf753b77d, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x5d63b87, "udp_tun_rx_dst" },
	{ 0x7be1ca10, "rtnl_notify" },
	{ 0xfcb9e1a2, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc6eb85e0, "__netif_rx" },
	{ 0x1e27e959, "skb_clone" },
	{ 0x9d407b20, "metadata_dst_alloc" },
	{ 0x13aa8824, "dst_release" },
	{ 0xbb5b182, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9a14982a, "udp_tunnel_notify_del_rx_port" },
	{ 0x3c994384, "register_nexthop_notifier" },
	{ 0xe9751ea7, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8fbd4be, "gro_find_receive_by_type" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x58b88d6b, "netdev_info" },
	{ 0x99cd52f8, "neigh_lookup" },
	{ 0xbcdbd66c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7073d732, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3C85ED4E082CBAE0993668C");
MODULE_INFO(rhelversion, "9.5");
