#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x633d44b1, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x360cfe38, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xe6571205, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x1a284611, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xa2074a1b, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x960f9b08, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x24ec5d74, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x94cfd32c, "");
SYMBOL_CRC(nd_device_notify, 0xd30dc312, "");
SYMBOL_CRC(nvdimm_region_notify, 0x9daec448, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x506dd5ca, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x590117bf, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x72bb9f04, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xba015f8a, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x4fd867a1, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x5cad149e, "");
SYMBOL_CRC(nd_device_unregister, 0x39a43f46, "");
SYMBOL_CRC(__nd_driver_register, 0x884f850f, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x7adfaa7c, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3d22193f, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xecbc301b, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xfc2695c2, "_gpl");
SYMBOL_CRC(to_ndd, 0xdda5d6fa, "");
SYMBOL_CRC(nvdimm_name, 0xf301ca6f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xdfc52e8f, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xf40e561f, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x16053f02, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xc6f2676f, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x7924380b, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x17e5e176, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xd38f8db2, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xab24f0a8, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x518a4611, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x371e2ce8, "_gpl");
SYMBOL_CRC(to_nd_region, 0xd77fd83a, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x96f4fd67, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x564e0578, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x31ad0ff8, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x8c4e2da3, "");
SYMBOL_CRC(nd_region_release_lane, 0xce3a7c7c, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xb674e4b4, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x3ed655da, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xaefc5200, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x534a1bc2, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xc7b576a7, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xd7fbbaa2, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xb69518c9, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xec3ebe00, "");
SYMBOL_CRC(pmem_sector_size, 0xc7c229f0, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb881c557, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x1be29f16, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x772c3410, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x301a88c5, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xcaa521be, "");
SYMBOL_CRC(devm_namespace_enable, 0x39f05282, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x9c3f6a17, "_gpl");
SYMBOL_CRC(badrange_init, 0xb5a664e7, "_gpl");
SYMBOL_CRC(badrange_add, 0xb5f964fa, "_gpl");
SYMBOL_CRC(badrange_forget, 0x35dd8ba2, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xa75ada89, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xb5ee07e4, "");
SYMBOL_CRC(is_nd_btt, 0xc5557a19, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xa2e4ea1d, "");
SYMBOL_CRC(nd_btt_version, 0xfce408c5, "");
SYMBOL_CRC(nd_btt_probe, 0x786846a7, "");
SYMBOL_CRC(to_nd_pfn, 0x127f2a17, "");
SYMBOL_CRC(is_nd_pfn, 0x321a1bb5, "");
SYMBOL_CRC(nd_pfn_validate, 0x5f72cb5f, "");
SYMBOL_CRC(nd_pfn_probe, 0xd7534a2e, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xa6471b97, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x38df8df8, "");
SYMBOL_CRC(is_nd_dax, 0xe615fa08, "");
SYMBOL_CRC(nd_dax_probe, 0x4b49920b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1015c387, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xa5fd6510, "blk_integrity_register" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xba313740, "ida_destroy" },
	{ 0xdafd3d4d, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xee3b6144, "devm_memremap" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x779699e0, "badblocks_set" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0x3410b4f, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb971421b, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xc040adb2, "badblocks_exit" },
	{ 0x7e4fc9e3, "device_for_each_child" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x2d712174, "__wake_up" },
	{ 0xc363dd2d, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0xde2d21fa, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x16f23dc2, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf9129cd0, "put_device" },
	{ 0x1c7bdce2, "badblocks_show" },
	{ 0x3372e940, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0x3c3877e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe5e6338, "perf_pmu_migrate_context" },
	{ 0x112e74b9, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa2e8c78d, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc229334, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0x7241d65d, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x7c86c05d, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x1b4e651e, "noop_llseek" },
	{ 0x93413f5f, "class_create" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x32539782, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x85551ba9, "ida_free" },
	{ 0xab6e6785, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x7242ac39, "perf_pmu_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1341e3a, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0x1ea89613, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xdd5a7367, "__devm_release_region" },
	{ 0xffde7db5, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xaa03d845, "kernfs_put" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbab01590, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeabb95eb, "badblocks_check" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x676f8576, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x5ee1d3a9, "badblocks_clear" },
	{ 0xc04eedd5, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xe4a001ea, "up_read" },
	{ 0x768b7f7c, "driver_register" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x58e49a6c, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8042f71f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D15A115593B71BBFF09BA61");
MODULE_INFO(rhelversion, "9.5");
