#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_ep_set_maxpacket_limit, "_gpl", "");
KSYMTAB_FUNC(usb_ep_enable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_disable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_alloc_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_free_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_queue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_dequeue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_wedge, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_status, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_flush, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_frame_number, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_remote_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_clear_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_draw, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_activate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_giveback_request, "_gpl", "");
KSYMTAB_FUNC(gadget_find_ep_by_name, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_ep_match_desc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_check_config, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_state, "_gpl", "");
KSYMTAB_FUNC(usb_udc_vbus_handler, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_udc_reset, "_gpl", "");
KSYMTAB_FUNC(usb_initialize_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc_release, "_gpl", "");
KSYMTAB_FUNC(usb_get_gadget_udc_name, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_register_driver_owner, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unregister_driver, "_gpl", "");

SYMBOL_CRC(usb_ep_set_maxpacket_limit, 0xd2081d9a, "_gpl");
SYMBOL_CRC(usb_ep_enable, 0xfbb36f98, "_gpl");
SYMBOL_CRC(usb_ep_disable, 0xa14a6557, "_gpl");
SYMBOL_CRC(usb_ep_alloc_request, 0x80e2ad81, "_gpl");
SYMBOL_CRC(usb_ep_free_request, 0x082dbc63, "_gpl");
SYMBOL_CRC(usb_ep_queue, 0xf20eecb0, "_gpl");
SYMBOL_CRC(usb_ep_dequeue, 0xf171be08, "_gpl");
SYMBOL_CRC(usb_ep_set_halt, 0x0da03405, "_gpl");
SYMBOL_CRC(usb_ep_clear_halt, 0xe40d8cc5, "_gpl");
SYMBOL_CRC(usb_ep_set_wedge, 0xf885e884, "_gpl");
SYMBOL_CRC(usb_ep_fifo_status, 0x77a42012, "_gpl");
SYMBOL_CRC(usb_ep_fifo_flush, 0x04f77014, "_gpl");
SYMBOL_CRC(usb_gadget_frame_number, 0x4f9b6ddb, "_gpl");
SYMBOL_CRC(usb_gadget_wakeup, 0x5f248c72, "_gpl");
SYMBOL_CRC(usb_gadget_set_remote_wakeup, 0x504afd09, "_gpl");
SYMBOL_CRC(usb_gadget_set_selfpowered, 0x0aec27d5, "_gpl");
SYMBOL_CRC(usb_gadget_clear_selfpowered, 0x6eba5c71, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_connect, 0xfeac75a2, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_draw, 0x0e758164, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_disconnect, 0xc17daed3, "_gpl");
SYMBOL_CRC(usb_gadget_connect, 0xc2c17e39, "_gpl");
SYMBOL_CRC(usb_gadget_disconnect, 0xe0cc3dd0, "_gpl");
SYMBOL_CRC(usb_gadget_deactivate, 0x5c9a361f, "_gpl");
SYMBOL_CRC(usb_gadget_activate, 0x203bffcf, "_gpl");
SYMBOL_CRC(usb_gadget_map_request_by_dev, 0xe8d2260e, "_gpl");
SYMBOL_CRC(usb_gadget_map_request, 0x16490c5f, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request_by_dev, 0xc60aa20e, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request, 0x064d2a1f, "_gpl");
SYMBOL_CRC(usb_gadget_giveback_request, 0xefd47399, "_gpl");
SYMBOL_CRC(gadget_find_ep_by_name, 0x43844c4e, "_gpl");
SYMBOL_CRC(usb_gadget_ep_match_desc, 0xc9d72b4b, "_gpl");
SYMBOL_CRC(usb_gadget_check_config, 0xe9a22874, "_gpl");
SYMBOL_CRC(usb_gadget_set_state, 0xee9a9932, "_gpl");
SYMBOL_CRC(usb_udc_vbus_handler, 0x8c14d36a, "_gpl");
SYMBOL_CRC(usb_gadget_udc_reset, 0x2c4fbec1, "_gpl");
SYMBOL_CRC(usb_initialize_gadget, 0x59bc7d7e, "_gpl");
SYMBOL_CRC(usb_add_gadget, 0x3bbe724e, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc_release, 0x8e4e4ab1, "_gpl");
SYMBOL_CRC(usb_get_gadget_udc_name, 0x50b88f41, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc, 0x367bdc7e, "_gpl");
SYMBOL_CRC(usb_del_gadget, 0x488a26c8, "_gpl");
SYMBOL_CRC(usb_del_gadget_udc, 0x95d8950c, "_gpl");
SYMBOL_CRC(usb_gadget_register_driver_owner, 0x53b148c2, "_gpl");
SYMBOL_CRC(usb_gadget_unregister_driver, 0x121dd55f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x11d5b45d, "dma_unmap_page_attrs" },
	{ 0x3410b4f, "class_destroy" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb971421b, "device_initialize" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x11cb0c25, "bpf_trace_run2" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0xe9eb201f, "sysfs_notify" },
	{ 0x52d246b3, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xf9129cd0, "put_device" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0xc229334, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7c86c05d, "device_add" },
	{ 0x93413f5f, "class_create" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0x85551ba9, "ida_free" },
	{ 0xab6e6785, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x35f0c5c9, "device_del" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb425a897, "kobject_uevent" },
	{ 0x9971d6f3, "dma_unmap_sg_attrs" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x768b7f7c, "driver_register" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x8042f71f, "bus_register" },
	{ 0xff4b47a5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6FA7D0760D03259BBCA5E8");
MODULE_INFO(rhelversion, "9.5");
