#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xbf5dd7a7, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xf93fb425, "");
SYMBOL_CRC(fscache_acquire_cache, 0x38f31bd3, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x31130d6b, "");
SYMBOL_CRC(fscache_add_cache, 0x8aa8466b, "");
SYMBOL_CRC(fscache_io_error, 0xe35b11b7, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xf9e157a9, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x3c990f1d, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x31988670, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x867c2362, "");
SYMBOL_CRC(fscache_caching_failed, 0x285bdc30, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x80013671, "");
SYMBOL_CRC(__fscache_use_cookie, 0xaa523e74, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xd4f0fe21, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xd8c07712, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xb146e827, "");
SYMBOL_CRC(fscache_put_cookie, 0x2ced5971, "");
SYMBOL_CRC(fscache_get_cookie, 0xed4a4362, "");
SYMBOL_CRC(__fscache_invalidate, 0x8930e6ad, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x05067ecf, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x6cafb1b0, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0x537ea77b, "");
SYMBOL_CRC(fscache_dirty_folio, 0x91393c51, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x3b988547, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xab714ab9, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x1823cc65, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x39674879, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x6c5e41e7, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x1a25cfa0, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x4acaf62a, "");
SYMBOL_CRC(fscache_end_volume_access, 0x9aec20e6, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x79a8742f, "");
SYMBOL_CRC(fscache_put_volume, 0x89af3179, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x5abee840, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xd994ecd5, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0xdaa98393, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x335825a2, "xas_find" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf075704b, "netfs_stats_show" },
	{ 0x11cb0c25, "bpf_trace_run2" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe83bf30d, "remove_proc_subtree" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xf5c87724, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0x203f5d03, "down_write" },
	{ 0x1ab9cd00, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc97789d5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd2251ef0, "bpf_trace_run1" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfca51ccd, "proc_mkdir" },
	{ 0x1b487149, "folio_end_private_2" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0xa0c6d687, "filemap_dirty_folio" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbb87a51a, "iov_iter_xarray" },
	{ 0xfa5921f8, "proc_create_single_data" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x76de668, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe4a001ea, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "1096B7A4E946D261647D9C0");
MODULE_INFO(rhelversion, "9.5");
