#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x98824ef2, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x19ae44f0, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x9265e004, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x4fa1a047, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xed13ecf9, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xa1d7c987, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x56be7dae, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x43276ea9, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x8579d8be, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x1beee43c, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x1e2d1a1e, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x896f99dc, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x38a922fa, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x0f6d9178, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x6efa9548, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xdc02c586, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xede83a6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2c8ddd5f, "flow_rule_alloc" },
	{ 0x3b85ee7d, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x376c3978, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2ec64148, "neigh_xmit" },
	{ 0xc31910d5, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xb8464f98, "proc_create_net_data" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x203f5d03, "down_write" },
	{ 0x1ab9cd00, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x93f62687, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e641979, "dev_get_by_index" },
	{ 0x9b673a89, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ddfc64a, "flow_indr_dev_setup_offload" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xd761cc8b, "down_read" },
	{ 0x98f7801b, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0xcf9bd505, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf753b77d, "neigh_destroy" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0xa18cf8e2, "nf_ct_acct_add" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x13aa8824, "dst_release" },
	{ 0x87ecc2e5, "nf_ct_l4proto_find" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe4a001ea, "up_read" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "33366E55CBF7996D76C9342");
MODULE_INFO(rhelversion, "9.5");
