#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xd86bb37b, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xbd2c4ae5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x4bd2ccd8, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x8095d4cc, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xf7a712cf, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x711eaa36, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x861f99ac, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x2420d6dd, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x8e266c6f, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xf4f31cd0, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x3a78e564, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x7ff2bccb, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x45980617, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x567db596, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x6601abbc, "");
SYMBOL_CRC(nf_nat_follow_master, 0x69ac733f, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x4d78910b, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x0ef7a984, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x5fb552fb, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xa10f54e0, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x17ec80d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6eee71a0, "nf_ct_ext_add" },
	{ 0xc4b53ff5, "__do_once_done" },
	{ 0x8ddd113, "nf_conntrack_find_get" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x72ab17a2, "nf_ip6_checksum" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xed8b281e, "nf_hook_entries_insert_raw" },
	{ 0xff12aae6, "xfrm_lookup" },
	{ 0xfbf073c2, "nf_ct_seqadj_set" },
	{ 0x63776ae7, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbe4b0061, "nf_ct_helper_expectfn_unregister" },
	{ 0xeda111ae, "__xfrm_decode_session" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x3af76d65, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x8825e95c, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x45d53a9e, "nf_ct_iterate_cleanup_net" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6a3cde2, "ipv6_skip_exthdr" },
	{ 0xb32fca12, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x67c3cda4, "nf_ipv6_ops" },
	{ 0x3c3877e8, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xa612041f, "nf_conntrack_alter_reply" },
	{ 0xb2c97411, "ip_route_me_harder" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xd89515d7, "nf_hook_entries_delete_raw" },
	{ 0xed92e198, "skb_ensure_writable" },
	{ 0x3554f85, "nf_unregister_net_hooks" },
	{ 0x43e2a4e8, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0xd29023f1, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xace0349, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x71ab412a, "nf_ip_checksum" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe4e7f972, "register_btf_kfunc_id_set" },
	{ 0x37a566ef, "nf_ct_iterate_destroy" },
	{ 0x98f7801b, "inet_proto_csum_replace16" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7597bde1, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd7a468a0, "__skb_checksum" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x13aa8824, "dst_release" },
	{ 0x450ce1a7, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x34739ecc, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2CFEB6890DB12EDE142B41A");
MODULE_INFO(rhelversion, "9.5");
