#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x4b9e5e24, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x3ddfff01, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x9b7f1ab9, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x47bde845, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xf3ced0b0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xd07b0037, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xb3f61524, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xf56ac7e9, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xc0949eef, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xc9f6d038, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xea4300bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0xb32fca12, "nf_register_net_hooks" },
	{ 0x3554f85, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x67c3cda4, "nf_ipv6_ops" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0xff12aae6, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x231dd435, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xed92e198, "skb_ensure_writable" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xb2c97411, "ip_route_me_harder" },
	{ 0xd21bfb68, "ip_local_out" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x63776ae7, "skb_put" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xcc90e0cb, "nf_ct_tmpl_alloc" },
	{ 0x6eee71a0, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb8464f98, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc03c7bd5, "nf_ct_tmpl_free" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf6a3cde2, "ipv6_skip_exthdr" },
	{ 0x565f4de5, "nf_ct_seqadj_init" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.5");
