#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xae6fa465, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x9716b3fd, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xbb7cb2f7, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x34c91b2a, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x65e9c9af, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc6db1123, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6eee71a0, "nf_ct_ext_add" },
	{ 0x5fda1939, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf5e30267, "nsh_pop" },
	{ 0x8ddd113, "nf_conntrack_find_get" },
	{ 0xc77069af, "nf_ct_set_timeout" },
	{ 0xe73dba1b, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62a3e7f1, "dev_fill_metadata_dst" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x8f6f368e, "nf_ct_handle_fragments" },
	{ 0x91aa5907, "eth_mac_addr" },
	{ 0x63776ae7, "skb_put" },
	{ 0x51006d9, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x44f20a2e, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x17ec80d0, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2323aaf5, "skb_eth_pop" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x3fa16121, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x36c38299, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x4ab493c8, "nf_ct_helper" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x55e22c01, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x570310d, "rtnl_delete_link" },
	{ 0xa753599f, "rtnl_link_register" },
	{ 0x75f456fe, "nf_connlabels_put" },
	{ 0x413bfcf, "genlmsg_put" },
	{ 0xb1b9befc, "___pskb_trim" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5281681e, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7b30022, "dev_set_promiscuity" },
	{ 0xc0e9f87c, "nf_ct_destroy_timeout" },
	{ 0x68f5f3ab, "nf_ct_add_helper" },
	{ 0x4c99ae31, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4f5dff91, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd56d59, "nf_ct_skb_network_trim" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0xcae3fcb5, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0xbf0ed4eb, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x33fa49f1, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0x7f497d5a, "skb_csum_hwoffload_help" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0x42fb17e5, "nf_connlabels_replace" },
	{ 0x45d974ff, "eth_type_trans" },
	{ 0x9510b456, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc332875, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x8c023252, "netdev_rx_handler_unregister" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0x78448798, "skb_eth_push" },
	{ 0xa9a8f45c, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0xd63e406f, "skb_mpls_pop" },
	{ 0x3dedd9b6, "skb_vlan_pop" },
	{ 0xd267e71b, "dst_init" },
	{ 0x3c3877e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1049c7c2, "rtnl_link_unregister" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0x3d50b584, "__skb_get_hash" },
	{ 0x16fff165, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x9a245ff2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcaf0e832, "skb_mpls_update_lse" },
	{ 0x93f62687, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x5909cb0d, "netlink_unicast" },
	{ 0xc97789d5, "bpf_trace_run5" },
	{ 0x9b673a89, "dev_get_by_index_rcu" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x332645a0, "skb_push" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0x3d71ae32, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0xed92e198, "skb_ensure_writable" },
	{ 0xdc986e4f, "free_netdev" },
	{ 0x16ce0426, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9855324f, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ce9bc42, "ethtool_op_get_link" },
	{ 0xeae1c15b, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x53af40be, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0xace0349, "nf_ct_delete" },
	{ 0x30cb07c, "nf_conncount_init" },
	{ 0x7c6bf107, "skb_vlan_push" },
	{ 0xab2eda35, "dev_get_tstats64" },
	{ 0x2ebc932d, "netif_rx" },
	{ 0x2a5e0a57, "__netdev_alloc_skb" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x7dc33a1f, "netdev_master_upper_dev_link" },
	{ 0x45d36985, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd761cc8b, "down_read" },
	{ 0x98f7801b, "inet_proto_csum_replace16" },
	{ 0x7c13717b, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea595301, "skb_scrub_packet" },
	{ 0x68fdffba, "nf_ct_deliver_cached_events" },
	{ 0x91dbf8ab, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcc95cb65, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xcf9bd505, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0xd7a468a0, "__skb_checksum" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0x425c3d7b, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3bd07b56, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x83b5badb, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa1bee7ff, "dev_get_by_name" },
	{ 0x1e27e959, "skb_clone" },
	{ 0x9d407b20, "metadata_dst_alloc" },
	{ 0x13aa8824, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57b409c, "peernet2id_alloc" },
	{ 0x97d01304, "nf_ct_get_tuplepr" },
	{ 0x39160e90, "netdev_rx_handler_register" },
	{ 0x92693acd, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8fa0ae18, "genl_unregister_family" },
	{ 0xe242b391, "dev_disable_lro" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xf4d6ca75, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x46900924, "genl_register_family" },
	{ 0xc03c7bd5, "nf_ct_tmpl_free" },
	{ 0xa3d2f473, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x344c0fe9, "__skb_gso_segment" },
	{ 0xe4a001ea, "up_read" },
	{ 0x6cd646c6, "skb_mpls_push" },
	{ 0xb198f0cd, "register_pernet_device" },
	{ 0xa8d1826f, "nf_conntrack_in" },
	{ 0xc9a2863b, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xbd87f157, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0x2d103935, "__skb_vlan_pop" },
	{ 0xcc90e0cb, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7073d732, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "5EBF14E61B9AAB08E5E789B");
MODULE_INFO(rhelversion, "9.5");
