#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xa56d2eaa, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x5262966a, "_gpl");
SYMBOL_CRC(tls_get_record, 0xf8ab9118, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x1db996e1, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x6808fd0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd48c05a, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd3b3451f, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6573ac7a, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4b2c2ee3, "tcp_read_sock" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0x46caa9a6, "sk_page_frag_refill" },
	{ 0x63776ae7, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x6858dee0, "sk_psock_msg_verdict" },
	{ 0xd659c570, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x1494d942, "iov_iter_get_pages2" },
	{ 0xb1b9befc, "___pskb_trim" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f98d37b, "add_wait_queue" },
	{ 0xf685a085, "__put_devmap_managed_page_refs" },
	{ 0x3f123dc9, "clean_acked_data_enable" },
	{ 0x9ac1239a, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb415b350, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xaab5f3ed, "crypto_aead_setauthsize" },
	{ 0x9b06671f, "crypto_aead_decrypt" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x2d712174, "__wake_up" },
	{ 0x8417de0d, "sk_stream_error" },
	{ 0xf81bb675, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x39ef8cf8, "sk_msg_memcopy_from_iter" },
	{ 0x7d7206c5, "sk_error_report" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x2ed8f7ca, "put_cmsg" },
	{ 0xa6b3294a, "__sk_flush_backlog" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0x1780cc35, "crypto_destroy_tfm" },
	{ 0xac2cd760, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cac73ca, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8f97458a, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x9ca3e582, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x23a14d23, "tcp_recv_skb" },
	{ 0x1b568c0b, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0x203f5d03, "down_write" },
	{ 0xc328b4eb, "__traceiter_sk_data_ready" },
	{ 0x303e3e7b, "crypto_req_done" },
	{ 0x1ab9cd00, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x32249359, "crypto_aead_encrypt" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0xc97789d5, "bpf_trace_run5" },
	{ 0x1d87a3d5, "sk_free" },
	{ 0xd8a828e2, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xfe9af7f0, "__sk_mem_reclaim" },
	{ 0xbae5ea3a, "sk_stream_wait_memory" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0xc62dd104, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xce935914, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xd92a29e5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe61d51a4, "sk_msg_return_zero" },
	{ 0xc22c8912, "mutex_lock_interruptible" },
	{ 0xd13f8aba, "skb_copy_datagram_iter" },
	{ 0xd2251ef0, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x34ff3739, "sock_efree" },
	{ 0xe8b5e3cd, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xee967937, "clean_acked_data_disable" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x8f743958, "sk_msg_free_partial" },
	{ 0xd761cc8b, "down_read" },
	{ 0x7c13717b, "skb_trim" },
	{ 0x7ebe65a8, "mutex_trylock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x59196273, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xecd6bf8d, "tcp_register_ulp" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x411bbbd6, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7f019cb0, "skb_page_frag_refill" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x5ea73132, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x992a0c7b, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2abd5386, "__folio_put" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xee170b52, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1e27e959, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x13aa8824, "dst_release" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x1d4df435, "_copy_from_iter" },
	{ 0x5f1221f7, "skb_copy_header" },
	{ 0xc3bbc12d, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x23c96c1e, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa6150e5, "netdev_sk_get_lowest_dev" },
	{ 0xa72e0ba9, "sk_msg_alloc" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x160f1410, "_copy_from_iter_nocache" },
	{ 0x2a839455, "tcp_rate_check_app_limited" },
	{ 0xac7bd9be, "tcp_poll" },
	{ 0xda18c62a, "iov_iter_revert" },
	{ 0xbba0528f, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x115274a3, "skb_to_sgvec" },
	{ 0xe4a001ea, "up_read" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xe60814c4, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x60b613bd, "tcp_read_done" },
	{ 0xbcdbd66c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.5");
