#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x0ca8b020, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xb773f2c0, "");
SYMBOL_CRC(__bcma_driver_register, 0xe5b878de, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xfc5167f4, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xa46cb906, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x1f03703e, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x8289636d, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xdfc33227, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xdc88db1b, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x7c957e44, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x7c9935a6, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x262f94c5, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xadb69bbb, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x163ea13f, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x2e939c83, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xa9932ea1, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x41dcdfcf, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x3c9255f9, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x98b7201d, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xa239c97b, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xf43bd476, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xb489b95b, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x4732aabb, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xb0a85c76, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x82d70681, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xb91465b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xba82d081, "pci_enable_device" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xdb87b7ca, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x62aa51fa, "of_address_to_resource" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x4ea1ada9, "of_platform_default_populate" },
	{ 0xc20a2780, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xb971421b, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x49bffcb4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc363dd2d, "get_device" },
	{ 0x1c9a09f9, "of_irq_parse_one" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0xcca51352, "pci_unregister_driver" },
	{ 0xda186432, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xb71f8b7b, "of_irq_parse_raw" },
	{ 0x57d02c03, "of_get_next_child" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xf9129cd0, "put_device" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0x4a7ebaf9, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0xc229334, "_dev_err" },
	{ 0x7c86c05d, "device_add" },
	{ 0x3fe31306, "platform_device_unregister" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xab6e6785, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb2fb5c1b, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x1b8f3639, "pci_set_master" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x46160b2d, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29be1fe1, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73645c29, "platform_device_register_full" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x1d2a4cd0, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x126319e9, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xeb17aa30, "pcie_set_readrq" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xec3c4154, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xd6fdd33a, "of_dma_configure_id" },
	{ 0x768b7f7c, "driver_register" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x22dc16fc, "__dev_fwnode" },
	{ 0x13b70a3e, "pci_write_config_dword" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x8042f71f, "bus_register" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.5");
