#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x0a90c61c, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x463d520c, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xbb931d6f, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x1279e6fc, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xe33dbf6b, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0xa9794a85, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x5fd53344, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xdd19728d, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xd45bc8a4, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xe929e972, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xef6d8f17, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x456cf96c, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x55ab1f72, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x38156311, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x81080fc5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a1fb4c, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xc7570b00, "drm_fb_helper_init" },
	{ 0x9b0f3628, "drm_fb_helper_debug_enter" },
	{ 0xe6435c19, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xed081bdc, "drm_client_buffer_vmap" },
	{ 0xb1e34557, "drm_fb_helper_lastclose" },
	{ 0x39912cd, "drm_fb_helper_setcmap" },
	{ 0x4730144d, "drm_fb_helper_alloc_info" },
	{ 0xc1692839, "drm_helper_disable_unused_functions" },
	{ 0xe28defbd, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x276ae711, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x4fb2ad0a, "drm_fb_helper_fini" },
	{ 0x591622fa, "dma_mmap_pages" },
	{ 0x92af1d73, "drm_client_framebuffer_delete" },
	{ 0x572f333d, "dma_free_pages" },
	{ 0xb1435b7e, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xf714b0e5, "drm_fb_helper_fill_info" },
	{ 0x70a08228, "drm_gem_create_mmap_offset" },
	{ 0x4178f069, "drm_gem_object_init" },
	{ 0x9954bb7, "dev_driver_string" },
	{ 0x20fa6798, "drm_fb_helper_hotplug_event" },
	{ 0x1f04d321, "fb_sys_write" },
	{ 0x6c81312b, "sys_imageblit" },
	{ 0x5360b5c5, "drm_atomic_helper_damage_iter_init" },
	{ 0x1f748dab, "drm_fb_helper_blank" },
	{ 0x3beed2bd, "dma_alloc_pages" },
	{ 0x933d89b2, "drm_gem_private_object_init" },
	{ 0x9784750a, "drm_fb_helper_check_var" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfa1fdd45, "sys_fillrect" },
	{ 0x3c3877e8, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7f55b10f, "drm_client_init" },
	{ 0xc32fe0d2, "drm_gem_vm_close" },
	{ 0xecc64fef, "drm_gem_vm_open" },
	{ 0xf6c61401, "drm_fb_helper_prepare" },
	{ 0xc229334, "_dev_err" },
	{ 0x267a9de3, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x8d5b4eb8, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6b627e5, "drm_gem_handle_create" },
	{ 0x4665efe7, "drm_gem_fb_get_obj" },
	{ 0x4a1c4f62, "__drm_dev_dbg" },
	{ 0x630cbb6f, "drm_fb_helper_pan_display" },
	{ 0x61006eb7, "drm_client_release" },
	{ 0x684783a6, "sys_copyarea" },
	{ 0x3f9c0af, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7001d919, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f0db16d, "drm_client_buffer_vunmap" },
	{ 0x67aa0b43, "fb_sys_read" },
	{ 0x92f0444b, "drm_fb_helper_debug_leave" },
	{ 0x3fa0d2eb, "dma_buf_vmap_unlocked" },
	{ 0xd430ea53, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd9b781f2, "dma_get_sgtable_attrs" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x2350f59e, "drm_fb_helper_initial_config" },
	{ 0x6216cd76, "drm_fb_helper_unregister_info" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x78045d87, "drm_fb_helper_ioctl" },
	{ 0xad486420, "drm_fb_helper_set_par" },
	{ 0x717ff900, "drm_prime_gem_destroy" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.5");
