#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0xa7cdfb6c, "");
SYMBOL_CRC(host1x_device_exit, 0xd84ffe3a, "");
SYMBOL_CRC(host1x_driver_register_full, 0xd97cb344, "");
SYMBOL_CRC(host1x_driver_unregister, 0x95f4efb9, "");
SYMBOL_CRC(__host1x_client_init, 0x2a957841, "");
SYMBOL_CRC(host1x_client_exit, 0xc358f6d7, "");
SYMBOL_CRC(__host1x_client_register, 0xcf1948d7, "");
SYMBOL_CRC(host1x_client_unregister, 0x1e5b9388, "");
SYMBOL_CRC(host1x_client_suspend, 0x6d2be30f, "");
SYMBOL_CRC(host1x_client_resume, 0x257d1733, "");
SYMBOL_CRC(host1x_bo_pin, 0x0357c1f1, "");
SYMBOL_CRC(host1x_bo_unpin, 0x89f19558, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x014b8399, "");
SYMBOL_CRC(host1x_syncpt_id, 0x0767d813, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x7ae8cbee, "");
SYMBOL_CRC(host1x_syncpt_incr, 0xc67c51ac, "");
SYMBOL_CRC(host1x_syncpt_wait, 0xc0e41b33, "");
SYMBOL_CRC(host1x_syncpt_request, 0x48707869, "");
SYMBOL_CRC(host1x_syncpt_put, 0x9f16efb9, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0xe694e6ff, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x3d0459d0, "");
SYMBOL_CRC(host1x_syncpt_read, 0x5671b984, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x468f1f14, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x827ad87d, "");
SYMBOL_CRC(host1x_syncpt_get, 0xb1b96e62, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x0100fab2, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x157d35d2, "");
SYMBOL_CRC(host1x_get_dma_mask, 0xb9d80f35, "");
SYMBOL_CRC(host1x_job_submit, 0x1176e8a2, "");
SYMBOL_CRC(host1x_channel_get, 0xb10b35e3, "");
SYMBOL_CRC(host1x_channel_stop, 0x5aa04714, "");
SYMBOL_CRC(host1x_channel_put, 0x1c4d0faa, "");
SYMBOL_CRC(host1x_channel_request, 0x5be0ed4d, "");
SYMBOL_CRC(host1x_job_alloc, 0xa1dbe106, "");
SYMBOL_CRC(host1x_job_get, 0x512ee994, "");
SYMBOL_CRC(host1x_job_put, 0xb87e6489, "");
SYMBOL_CRC(host1x_job_add_gather, 0xa56e396e, "");
SYMBOL_CRC(host1x_job_add_wait, 0xd46b76f5, "");
SYMBOL_CRC(host1x_job_pin, 0x50b5bc6a, "");
SYMBOL_CRC(host1x_job_unpin, 0x5fce25f3, "");
SYMBOL_CRC(tegra_mipi_request, 0xd7a6296b, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x0950b362, "");
SYMBOL_CRC(host1x_fence_cancel, 0xad0390b9, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x16726ebb, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xfe92b5e4, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0xd4bd515f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4180c001, "iommu_map_sg" },
	{ 0xd4b244b, "platform_device_put" },
	{ 0x6def30dd, "dma_fence_signal_locked" },
	{ 0xa1b28d2d, "devm_platform_ioremap_resource" },
	{ 0x46f66f43, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x89bad916, "devm_request_threaded_irq" },
	{ 0xdafd3d4d, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xe1c82aa8, "devm_platform_get_and_ioremap_resource" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xeb3a73d, "of_find_device_by_node" },
	{ 0xccbae551, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0x2e58ba1f, "iommu_group_get" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x9b2e3c6e, "free_iova" },
	{ 0xcebf6a53, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xb971421b, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3d00fb15, "pm_generic_poweroff" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x11cb0c25, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x2606f259, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xd531c6, "devm_clk_get" },
	{ 0xcccbcf19, "dma_fence_wait_timeout" },
	{ 0xc9ae3a97, "__free_iova" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0x21b358da, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x132a75a1, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe4cecd60, "iommu_detach_group" },
	{ 0x57d02c03, "of_get_next_child" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf9129cd0, "put_device" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0x3265b3c7, "pm_runtime_enable" },
	{ 0xb9e8ef, "alloc_iova" },
	{ 0x1f8db918, "devm_tegra_core_dev_init_opp_table" },
	{ 0xde98da9e, "platform_get_irq_byname_optional" },
	{ 0xcaabcaa0, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xff51d081, "pm_generic_suspend" },
	{ 0x2fb247, "iommu_get_domain_for_dev" },
	{ 0x9e84bc15, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x1edc9647, "put_iova_domain" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0xc8beda67, "bus_unregister" },
	{ 0xc229334, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0x813682b, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7c86c05d, "device_add" },
	{ 0x1298575e, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x9c998b69, "iommu_domain_alloc" },
	{ 0xca8e45c0, "iommu_unmap" },
	{ 0x6b1d7b19, "dma_fence_signal" },
	{ 0xc97789d5, "bpf_trace_run5" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x8d5b4eb8, "dma_alloc_attrs" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x68ffb92c, "of_property_count_elems_of_size" },
	{ 0xab6e6785, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x5728bfd2, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdb8e1558, "of_device_is_available" },
	{ 0x6c1fc81a, "dma_fence_init" },
	{ 0xc22c8912, "mutex_lock_interruptible" },
	{ 0xbe02e1e3, "host1x_context_device_bus_type" },
	{ 0xd2251ef0, "bpf_trace_run1" },
	{ 0x35f0c5c9, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbad80235, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9a2b75d, "debugfs_create_u32" },
	{ 0xb91d1fe2, "devm_platform_ioremap_resource_byname" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xd1423b80, "dma_set_coherent_mask" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x17166e34, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0x3f9c0af, "dma_free_attrs" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x8758d7fd, "__pm_runtime_resume" },
	{ 0xcfcfd2ae, "init_iova_domain" },
	{ 0x8d1e2ff4, "__devm_reset_control_bulk_get" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x634f909b, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe1d9719e, "seq_write" },
	{ 0x5372d628, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xb628af99, "iommu_map" },
	{ 0x9512da1b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd7d14d6c, "dma_set_mask" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x2924a3ea, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x6ab20719, "iommu_attach_group" },
	{ 0x17b8e167, "single_open" },
	{ 0xe7367ee0, "of_device_get_match_data" },
	{ 0x4a4a3535, "pm_generic_restore" },
	{ 0x82ca4f4, "__pm_runtime_disable" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xd6fdd33a, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x82e621f4, "platform_unregister_drivers" },
	{ 0x41bd0b1c, "pm_runtime_force_suspend" },
	{ 0x768b7f7c, "driver_register" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x8a675de1, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x7e20eb76, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x8042f71f, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D99FB3E21874B3EEFDB2F4B");
MODULE_INFO(rhelversion, "9.5");
