#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8338bce, "__platform_driver_register" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xd8d733ae, "pinctrl_pm_select_idle_state" },
	{ 0x3f9c0af, "dma_free_attrs" },
	{ 0x207a780, "dma_release_channel" },
	{ 0xa6257a2f, "complete" },
	{ 0x5c4cd24a, "platform_driver_unregister" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xc229334, "_dev_err" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd6b35eb7, "i2c_del_adapter" },
	{ 0x41bd0b1c, "pm_runtime_force_suspend" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdcb764ad, "memset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe676dc2a, "is_acpi_device_node" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x4d8146b4, "pinctrl_pm_select_default_state" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7001d919, "__dma_sync_single_for_device" },
	{ 0x6a66dc3b, "i2c_recover_bus" },
	{ 0xa9e645bf, "__dma_sync_single_for_cpu" },
	{ 0x8758d7fd, "__pm_runtime_resume" },
	{ 0x7e20eb76, "__pm_runtime_idle" },
	{ 0xdafd3d4d, "devm_kmalloc" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x867a96c5, "device_get_match_data" },
	{ 0xe1c82aa8, "devm_platform_get_and_ioremap_resource" },
	{ 0xccbae551, "platform_get_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x89bad916, "devm_request_threaded_irq" },
	{ 0xc91f1185, "i2c_parse_fw_timings" },
	{ 0xda99d765, "device_property_present" },
	{ 0x660ee7b7, "of_device_is_compatible" },
	{ 0x3702238f, "pm_runtime_irq_safe" },
	{ 0x3265b3c7, "pm_runtime_enable" },
	{ 0x27f4eb73, "set_primary_fwnode" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xadbc2ce3, "i2c_add_numbered_adapter" },
	{ 0x82ca4f4, "__pm_runtime_disable" },
	{ 0x67e226f8, "__devm_reset_control_get" },
	{ 0x77c152db, "dev_err_probe" },
	{ 0x7406ca80, "devm_clk_bulk_get" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe5556f42, "dma_request_chan" },
	{ 0x8d5b4eb8, "dma_alloc_attrs" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvc");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvcC*");

MODULE_INFO(srcversion, "DFCEECD23B112BAE9F1D1CD");
MODULE_INFO(rhelversion, "9.5");
