#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x76b09fb2, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x6336519c, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x5d317523, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x7d7366b7, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x38f78ce8, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xd642bede, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x9c5ccd58, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xa1de1a25, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x07418c57, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xf4ccb97b, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x216a410f, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xaf394753, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x6f6fed33, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x8fbca1e3, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3b85ee7d, "__init_rwsem" },
	{ 0x96640317, "misc_deregister" },
	{ 0x39cf2e06, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xd700e2e8, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac87a2bb, "cdev_device_del" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xb971421b, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0xc363dd2d, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5415a717, "get_mtd_device_nm" },
	{ 0xdf353f30, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa9bcd4a3, "blocking_notifier_chain_register" },
	{ 0xcb14e848, "get_mtd_device" },
	{ 0x651ae1bc, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x9086eca2, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xb46fe20b, "blocking_notifier_call_chain" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf9129cd0, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c3877e8, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd5ab4d1c, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x924d0622, "mtd_block_markbad" },
	{ 0x203f5d03, "down_write" },
	{ 0x1ab9cd00, "up_write" },
	{ 0x577aceb5, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2deb1e60, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe755ed3a, "put_mtd_device" },
	{ 0x87162414, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc48da24e, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x61dd5c6b, "kthread_stop" },
	{ 0xbd87b270, "freezing_slow_path" },
	{ 0x9aeb91a8, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xd8d39b9a, "kern_path" },
	{ 0xed30d8d0, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xa51b3b72, "mtd_erase" },
	{ 0xa367261f, "down_write_trylock" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xd284719, "kthread_create_on_node" },
	{ 0x17166e34, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d231906, "mtd_write" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0xe84342dc, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x68a1adc7, "mtd_get_device_size" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x51332cca, "seq_open" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0x57cc4cae, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe4a001ea, "up_read" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x52d9ade0, "class_register" },
	{ 0x902f18d0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xa3c5062e, "cdev_del" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.5");
