#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x0dec64c2, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x5b1ada2b, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xa7ff998a, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x5b8f50e2, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x3ba0b89b, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x4f17868a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xb3de631a, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb20dde12, "__nlmsg_put" },
	{ 0x63776ae7, "skb_put" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x60b7fac1, "device_unregister" },
	{ 0x9950be3d, "skb_dequeue" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbbb48778, "finish_wait" },
	{ 0xa753599f, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e4fc9e3, "device_for_each_child" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0x2d712174, "__wake_up" },
	{ 0x490e5cf, "rtnl_create_link" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8c60fccb, "skb_queue_purge_reason" },
	{ 0x9510b456, "alloc_netdev_mqs" },
	{ 0xb3603e26, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf9129cd0, "put_device" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0xa890c8a8, "skb_queue_tail" },
	{ 0x67e564c, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1049c7c2, "rtnl_link_unregister" },
	{ 0x16fff165, "init_net" },
	{ 0x93f62687, "skb_pull" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x1b4e651e, "noop_llseek" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x85551ba9, "ida_free" },
	{ 0xdc986e4f, "free_netdev" },
	{ 0x87162414, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd0bb6b12, "class_dev_iter_init" },
	{ 0x9aeb91a8, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x2150fa1e, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcd526722, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x2fa35b61, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x52d9ade0, "class_register" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xaa9ff867, "skb_queue_head" },
	{ 0x3a833a52, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x7073d732, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.5");
