#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71375e29, "devm_thermal_add_hwmon_sysfs" },
	{ 0x3152459, "thermal_zone_device_priv" },
	{ 0xd256bfdf, "regmap_write" },
	{ 0x89bad916, "devm_request_threaded_irq" },
	{ 0xdafd3d4d, "devm_kmalloc" },
	{ 0x374fe2d7, "of_property_read_variable_u32_array" },
	{ 0x5c4cd24a, "platform_driver_unregister" },
	{ 0xeb3a73d, "of_find_device_by_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbdcc7061, "nvmem_cell_get" },
	{ 0x69ab28f4, "thermal_zone_device_update" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8b63c9c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7058a44e, "regmap_field_update_bits_base" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x25a8539b, "nvmem_cell_read_variable_le_u32" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x8f4e4c95, "platform_get_irq_byname" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xf9129cd0, "put_device" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x70f0f1b5, "regmap_field_read" },
	{ 0x2a9d2abc, "devm_regmap_field_alloc" },
	{ 0xfe965948, "debugfs_lookup" },
	{ 0xc229334, "_dev_err" },
	{ 0x128df9f4, "platform_get_resource" },
	{ 0xa31860c3, "debugfs_remove" },
	{ 0x706afcb, "syscon_node_to_regmap" },
	{ 0x5728bfd2, "of_match_node" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x313180ef, "__devm_regmap_init_mmio_clk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb8338bce, "__platform_driver_register" },
	{ 0x17166e34, "seq_read" },
	{ 0x62b07235, "debugfs_create_file" },
	{ 0x9af03794, "regmap_read" },
	{ 0x6cc2df5e, "devm_ioremap_resource" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x9512da1b, "single_release" },
	{ 0xf1e4905d, "regmap_update_bits_base" },
	{ 0xeb8b5fdb, "devm_thermal_of_zone_register" },
	{ 0x17b8e167, "single_open" },
	{ 0x689774f8, "debugfs_create_dir" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsens");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1C*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2C*");

MODULE_INFO(srcversion, "EB5EE1BB07EC8B743CE28D9");
MODULE_INFO(rhelversion, "9.5");
