#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xf44c43b9, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x352739cd, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x9ac10299, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x24408ab5, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x12be8cfd, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x054aafc6, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x9845c90f, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x22f0b699, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x9ae84094, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xf96dfe56, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xac843918, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x6b790414, "");
SYMBOL_CRC(vfio_unpin_pages, 0xf1cd59cc, "");
SYMBOL_CRC(vfio_dma_rw, 0xe43aedf0, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x4c5badf8, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xd073e664, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xd49e30f4, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xbdb59578, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x021907ab, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xa9b9429b, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xa88694e2, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x51dbab8f, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xef82b515, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x32410208, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xf8c6d7f4, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0xc159b696, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x078f1a3d, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x788e6984, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x81da81e7, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xb04a9904, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x3784245e, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x035df702, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa829c195, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x5368e5a4, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc5841e6f, "anon_inode_getfile" },
	{ 0x3b85ee7d, "__init_rwsem" },
	{ 0x96640317, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8ee4a187, "iommufd_access_detach" },
	{ 0xba313740, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6b901df5, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xac87a2bb, "cdev_device_del" },
	{ 0x2e58ba1f, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x3410b4f, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x6c6ff67d, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xb971421b, "device_initialize" },
	{ 0xc8df51aa, "iommufd_device_attach" },
	{ 0x4085d056, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc9f7baf, "iommufd_access_pin_pages" },
	{ 0x7f98d37b, "add_wait_queue" },
	{ 0xddd72648, "iommufd_ctx_from_fd" },
	{ 0xe2fc5005, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x294a1a37, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xb4234b08, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xb6d6ac54, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x9086eca2, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf9129cd0, "put_device" },
	{ 0xe61bef3b, "iommufd_ctx_from_file" },
	{ 0x6bf49bf0, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c3877e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xb61e03f8, "fput" },
	{ 0x203f5d03, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x1ab9cd00, "up_write" },
	{ 0x7c86c05d, "device_add" },
	{ 0x3f694345, "xa_load" },
	{ 0x56084d0c, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x93413f5f, "class_create" },
	{ 0xd3290437, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x85551ba9, "ida_free" },
	{ 0x28c82866, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x35f0c5c9, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xcd38e814, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x18bc1f53, "iommufd_access_destroy" },
	{ 0xed30d8d0, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x1c96804b, "__xa_cmpxchg" },
	{ 0xc1ee49f1, "iommufd_device_to_id" },
	{ 0x61d44dfa, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8758d7fd, "__pm_runtime_resume" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x246a66, "xa_destroy" },
	{ 0xbda73746, "iommufd_ctx_put" },
	{ 0xd1d9d11, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7a0d5d52, "iommufd_device_detach" },
	{ 0x37457c1b, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x21579ad1, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xed9ea98f, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xc2b56a07, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xe4a001ea, "up_read" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x7e20eb76, "__pm_runtime_idle" },
	{ 0x902f18d0, "cdev_init" },
	{ 0x4bf1280c, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4ce6fa55, "eventfd_ctx_fileget" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xd1907282, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "4BD27DE9BCFB8AA71B190BC");
MODULE_INFO(rhelversion, "9.5");
