#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xce717c65, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x8392a99c, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x6039acd3, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x3a6d3e02, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x59949cab, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x441b5c75, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x17bfa8e5, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xda6bf42d, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x933f20d3, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xb7671486, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x634e56ba, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x08aaff27, "_gpl");
SYMBOL_CRC(nfs_init_client, 0xa0290912, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x426628f1, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x5fabb274, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x205b999f, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x62bb089c, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x885e2a13, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x655af899, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x07b4bcf6, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x6a2115b3, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xbe8b210c, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x34ca03ec, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x6273d446, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x91298828, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xb2efbaad, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x687c4456, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x8215f596, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x525eb50f, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x03ecf2a1, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x3df2deaf, "_gpl");
SYMBOL_CRC(nfs_create, 0x6845e5b6, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xa99132af, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x89f7e51b, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x95c5fd88, "_gpl");
SYMBOL_CRC(nfs_unlink, 0xa2d2ea81, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x01587484, "_gpl");
SYMBOL_CRC(nfs_link, 0xc03532fa, "_gpl");
SYMBOL_CRC(nfs_rename, 0xacb1888e, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x4e075f91, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x671aebba, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xbfe7ff7a, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xcc2b7c73, "_gpl");
SYMBOL_CRC(nfs_permission, 0xd6e174cb, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xc5d3eb34, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x874225c0, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x07ef04cf, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xd54f45f6, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xca0f0a9f, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x2b575e43, "_gpl");
SYMBOL_CRC(nfs_lock, 0x552078c1, "_gpl");
SYMBOL_CRC(nfs_flock, 0x313cf6f9, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x27cf702b, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x84dbe5db, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x7b49a88d, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x9fe3083e, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xbde2e44c, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xfe611bda, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x4403265f, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xc0ace9f2, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xe89f2ee6, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xf359563f, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xe9178f6d, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x0e4da5b8, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x07740b6d, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x0236286c, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x1e66e46f, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xf4554460, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x034c4b74, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x43f81796, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x25b3379e, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x737687ec, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xad51832a, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x881511ea, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xdaf8dc6a, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x7f91563d, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xc78f2ec4, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x1214fa34, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x8e710588, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xdf228788, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x258a8ee4, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x7ce58863, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x495e01ea, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x9bf963c3, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xe88ae73f, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x8b896a6e, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x176f251d, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x04d2f0a0, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x1508a8da, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x926b4a8d, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x09390448, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x6054c5cb, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x5a26abd5, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xfe23a70e, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xe22a4b44, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xc0c76f91, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xbf24af73, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x43c4eb79, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xbfeae4a9, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x2be63716, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x51fcbde1, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xd4ca2b7a, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xe58c57f1, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xba21fda6, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x5ed8b8bd, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xc4aaa839, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0xff212a21, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x3a9f377f, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xa39a5d93, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x29907995, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x2daa499f, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x4c227a6b, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xc502a2cb, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x4cd771d6, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xcfd81fc8, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x6e28e24c, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xd0a86419, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x786f0784, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x0aeda546, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x935bdd2f, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x282c96e2, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xd2ff241a, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x4c0bf7fc, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xb6b022d8, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0xb91fd032, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xfcc17ef0, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x45312e93, "_gpl");
SYMBOL_CRC(nfs_path, 0x7d283628, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x00b14a0c, "_gpl");
SYMBOL_CRC(nfs_submount, 0xb297efa2, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x0d95f54e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x4d44e1b1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x817453ee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0xc49f0902, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xbd7d4337, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xddf95210, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x7b64a0ca, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x7a65c1f7, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x9418fcc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25651f3c, "rpc_put_task" },
	{ 0x4b6818e2, "super_setup_bdi_name" },
	{ 0xb1524ede, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x152450ec, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa953206e, "generic_fillattr" },
	{ 0x5b4ed6f4, "vfs_fsync_range" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x8ed8cbf9, "clear_nlink" },
	{ 0x22759709, "file_check_and_advance_wb_err" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9645f252, "d_alloc_parallel" },
	{ 0x6573ac7a, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3b85ee7d, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x736dfda4, "clear_inode" },
	{ 0xc9227b48, "inode_to_bdi" },
	{ 0x5ab66d7, "bpf_trace_run4" },
	{ 0x79a8742f, "__fscache_acquire_volume" },
	{ 0xba313740, "ida_destroy" },
	{ 0x5e65b349, "param_ops_ulong" },
	{ 0x6cc4a125, "proc_dointvec_jiffies" },
	{ 0x3a6e4519, "rpc_proc_register" },
	{ 0x225cb5bc, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x423d348f, "sysfs_create_file_ns" },
	{ 0x26d8a1be, "rpc_shutdown_client" },
	{ 0x2ce4bf18, "fs_param_is_string" },
	{ 0x1d372f55, "folio_unlock" },
	{ 0xd28b472b, "mnt_set_expiry" },
	{ 0xda14a132, "param_ops_ushort" },
	{ 0x608b2a83, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xfc0b27cb, "generic_file_splice_read" },
	{ 0xb79d265c, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6d4eb1fa, "filemap_map_pages" },
	{ 0x6cafb1b0, "__fscache_begin_read_operation" },
	{ 0x95612b82, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfc7d4ee0, "trace_raw_output_prep" },
	{ 0xe0078dfa, "kobject_rename" },
	{ 0x83499d0c, "security_sb_set_mnt_opts" },
	{ 0x1d2f3652, "init_special_inode" },
	{ 0x2bb08324, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x439a94c5, "filemap_fdatawrite_range" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x27158be9, "folio_wait_bit_killable" },
	{ 0xbbb48778, "finish_wait" },
	{ 0xf34d54f3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x314ace1e, "d_make_root" },
	{ 0x15e0400d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x36d3e7f6, "sync_filesystem" },
	{ 0xd4f0fe21, "__fscache_unuse_cookie" },
	{ 0x4cc41e78, "folio_redirty_for_writepage" },
	{ 0xe798ecf, "register_shrinker" },
	{ 0x3a123bcc, "sget_fc" },
	{ 0xfb01c861, "d_splice_alias" },
	{ 0xa8591b77, "generic_error_remove_page" },
	{ 0xd12da4ab, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xa301b146, "unmap_mapping_range" },
	{ 0x3122fce9, "ihold" },
	{ 0x13b131e9, "inode_dio_wait" },
	{ 0x5f3a103f, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x152fef68, "invalidate_inode_pages2_range" },
	{ 0x3f5d2a5e, "read_cache_page" },
	{ 0x5dfcf1f3, "finish_open" },
	{ 0xb79f8036, "iput" },
	{ 0x401d6f56, "kset_unregister" },
	{ 0x98cd9a59, "security_sb_clone_mnt_opts" },
	{ 0xbca641a2, "fs_param_is_enum" },
	{ 0x46ae2825, "logfc" },
	{ 0xf685a085, "__put_devmap_managed_page_refs" },
	{ 0xda3cdbb5, "iter_file_splice_write" },
	{ 0x13c4330a, "rpc_pton" },
	{ 0x533f6321, "mod_node_page_state" },
	{ 0xf338e937, "rpc_wake_up_queued_task" },
	{ 0x11cb0c25, "bpf_trace_run2" },
	{ 0xb745a827, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe83bf30d, "remove_proc_subtree" },
	{ 0x8dfc7a49, "rpc_restart_call_prepare" },
	{ 0x8dd11049, "d_lookup" },
	{ 0xf1a1f58f, "event_triggers_call" },
	{ 0x2d712174, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8c30a866, "__module_get" },
	{ 0xb146e827, "__fscache_relinquish_cookie" },
	{ 0x19174333, "register_filesystem" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x8c6f7ba9, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x9a041c44, "mempool_free" },
	{ 0x4039f41e, "filemap_add_folio" },
	{ 0xbd390fba, "rpc_sleep_on" },
	{ 0xdb3e22f9, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x163d2b59, "netfs_readahead" },
	{ 0xb8464f98, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcee62f67, "d_prune_aliases" },
	{ 0x990a48ef, "__put_cred" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x426b2f28, "swapcache_mapping" },
	{ 0x17f6c411, "rpc_cancel_tasks" },
	{ 0xc81934b5, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x7232477b, "migrate_folio" },
	{ 0x76480474, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4c80c624, "fs_param_is_u32" },
	{ 0xf86b2bef, "inode_newsize_ok" },
	{ 0x231c3157, "d_drop" },
	{ 0xd8e6ee63, "deactivate_super" },
	{ 0xee318c2c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x38b6c922, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x5059cb01, "security_sb_mnt_opts_compat" },
	{ 0xb3a0330c, "param_get_uint" },
	{ 0x752c7882, "vfs_parse_fs_string" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xfe6156fb, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x21650a07, "trace_event_ignore_this_pid" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0x6b7ceab7, "truncate_inode_pages_final" },
	{ 0xbff75344, "d_alloc" },
	{ 0x58c4c6ab, "fs_kobj" },
	{ 0x20c66998, "net_ns_type_operations" },
	{ 0xf1dec2d3, "__filemap_set_wb_err" },
	{ 0xb0e074e, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xaeb75e72, "generic_perform_write" },
	{ 0x219f5b5c, "__filemap_get_folio" },
	{ 0xbc643546, "mempool_alloc" },
	{ 0x6701e854, "unregister_shrinker" },
	{ 0x73ceaa11, "simple_nosetlease" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x3c3877e8, "module_put" },
	{ 0xf5c87724, "__var_waitqueue" },
	{ 0xa919d72a, "rpc_setbufsize" },
	{ 0x251537a0, "fs_context_for_submount" },
	{ 0x91660075, "inode_init_once" },
	{ 0xcdb2c4d8, "folio_wait_private_2" },
	{ 0x1c4c3c40, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x5abee840, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x659d24b6, "ilookup5" },
	{ 0x2d5e0dc9, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc62332b6, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2101abd1, "perf_trace_run_bpf_submit" },
	{ 0x735f398c, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0x203f5d03, "down_write" },
	{ 0x16fff165, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x1ab9cd00, "up_write" },
	{ 0x911e6eeb, "generic_file_read_iter" },
	{ 0x55512216, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x85e8ce14, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{  0x89c1f, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65feb31e, "put_fs_context" },
	{ 0xd373bbdd, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xf749d1f9, "kobj_sysfs_ops" },
	{ 0x3f694345, "xa_load" },
	{ 0xc97789d5, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7a90a0fd, "write_cache_pages" },
	{ 0x8e5f3f8e, "set_nlink" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0x903ad3f7, "rpc_max_payload" },
	{ 0xd09631c5, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x9273108e, "d_move" },
	{ 0x2613a642, "seq_putc" },
	{ 0xd424434a, "rpc_proc_unregister" },
	{ 0x28dc4091, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x53d542ad, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1e158884, "folio_wait_writeback" },
	{ 0x85551ba9, "ida_free" },
	{ 0x46c94f3e, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x1d749d1e, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x12cba3ce, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x97bf8a6a, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xd1acf29a, "rpc_create" },
	{ 0x68210bcf, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x4578c986, "__folio_start_writeback" },
	{ 0xbda6c280, "d_obtain_root" },
	{ 0xd2251ef0, "bpf_trace_run1" },
	{ 0x96fed12, "param_ops_short" },
	{ 0x6b15569b, "idr_destroy" },
	{ 0x8ac5fd3c, "folio_end_writeback" },
	{ 0xa19b150f, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xfca51ccd, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xf179bf3e, "rpc_put_task_async" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x8510fb39, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7fbb234b, "__init_waitqueue_head" },
	{ 0xd9c1b3c2, "rpc_exit" },
	{ 0x9552a06a, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xadfad456, "d_delete" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xdf296fc9, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xb0a4fd8f, "nfs_ssc_unregister" },
	{ 0xee53131f, "rpc_killall_tasks" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xa146cb6b, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28b22f5c, "iov_iter_get_pages_alloc2" },
	{ 0x26ca6adc, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x78a391b9, "bpf_trace_run3" },
	{ 0x7597bde1, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x822bffc2, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc7cb789a, "generic_read_dir" },
	{ 0xf1ab33db, "kobject_del" },
	{ 0x6b72cc95, "trace_event_buffer_reserve" },
	{ 0x1a723fe6, "d_add" },
	{ 0x38a22735, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xa26f1f19, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x1d580a05, "security_inode_notifysecctx" },
	{ 0x9a482e8, "nfs_ssc_register" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x3bfa674a, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2cf3fb45, "invalidate_inode_pages2" },
	{ 0x992a0c7b, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd2eeb1aa, "mempool_destroy" },
	{ 0x2abd5386, "__folio_put" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0x53a0db32, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x8261ea3c, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf96ca4ae, "deactivate_locked_super" },
	{ 0xd64324e2, "put_rpccred" },
	{ 0x611f0cf0, "__percpu_down_read" },
	{ 0xbf7beb66, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb425a897, "kobject_uevent" },
	{ 0x8930e6ad, "__fscache_invalidate" },
	{ 0xa2022be0, "folio_mapping" },
	{ 0x8b991614, "downgrade_write" },
	{ 0x3fff38ae, "cred_fscmp" },
	{ 0xb2a1a2c4, "__folio_lock" },
	{ 0xa0c6d687, "filemap_dirty_folio" },
	{ 0x6e0737c6, "pagecache_get_page" },
	{ 0x11043c9b, "is_bad_inode" },
	{ 0x3ec008bf, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xaa523e74, "__fscache_use_cookie" },
	{ 0xc04cd826, "rcuwait_wake_up" },
	{ 0xbceb39b9, "_proc_mkdir" },
	{ 0xc0a8341c, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe295441, "seq_escape" },
	{ 0xbd77a8a7, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x194386f8, "__fs_parse" },
	{ 0x37b2d93b, "sysfs_create_link_nowarn" },
	{ 0x88a10bf0, "dget_parent" },
	{ 0x597374d8, "nlmclnt_init" },
	{ 0xc77e5575, "kill_anon_super" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xf6bc39c7, "iget5_locked" },
	{ 0x3b0903be, "filemap_write_and_wait_range" },
	{ 0xabef5f09, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe5c4c6b4, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5439cfa8, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5faa2f9, "param_ops_int" },
	{ 0x1252dab, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xda18c62a, "iov_iter_revert" },
	{ 0x9c78ac78, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5618f69f, "mntget" },
	{ 0x349cba85, "strchr" },
	{ 0x8ec19b8b, "kmem_cache_alloc_lru" },
	{ 0xb4843023, "filemap_fault" },
	{ 0x6d1b5f35, "d_invalidate" },
	{ 0x2b4e7a3b, "__mark_inode_dirty" },
	{ 0x7bed8853, "generic_file_llseek" },
	{ 0x5b8dd845, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xe4a001ea, "up_read" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xb8e8f55d, "rpc_wait_for_completion_task" },
	{ 0xf8d7a27e, "set_anon_super" },
	{ 0x75ca713, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0x80013671, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf61e8fb1, "kobject_put" },
	{ 0xa512d074, "vfs_get_tree" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "FE4E42680508202E976A92F");
MODULE_INFO(rhelversion, "9.5");
