#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x2131e4c8, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xcb16e93d, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x2c382f1c, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xee91d1a1, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xe43092a9, "_gpl");
SYMBOL_CRC(br_forward, 0xff53b035, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xe6ec3682, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xfb91e0b3, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xbd8d11f2, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xd6717200, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x095b5cc9, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x111d14f8, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x486bbaf6, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x216380a4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xc90b7024, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xa16e3af7, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x6ed404ba, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xc9bcce42, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xdf41aeef, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xced691de, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x928473d2, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xf208fd84, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xd76b84e0, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd74f7e77, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x99be8f1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11e1afad, "netdev_lower_get_next" },
	{ 0x2420c2cc, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x79bf35a6, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xb20dde12, "__nlmsg_put" },
	{ 0x2b3e6dc, "switchdev_port_attr_set" },
	{ 0xcadf7f0b, "ipv6_mc_check_mld" },
	{ 0x63776ae7, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1937f4ae, "call_switchdev_notifiers" },
	{ 0x423d348f, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa3b0d203, "netdev_update_features" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa3faf923, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x1d35b921, "__traceiter_br_fdb_update" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x39b584c5, "dev_uc_del" },
	{ 0xa753599f, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x5392dcac, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc1b73568, "switchdev_port_obj_act_is_deferred" },
	{ 0xe31dedfb, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7b30022, "dev_set_promiscuity" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x57955e5, "netdev_state_change" },
	{ 0x3b5150df, "__dev_get_by_name" },
	{ 0xbf0ed4eb, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x45589367, "netdev_err" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x658df02b, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xc3621359, "arp_xmit" },
	{ 0x9d049ac8, "__traceiter_br_mdb_full" },
	{ 0x9510b456, "alloc_netdev_mqs" },
	{ 0x1ac1e06, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8c023252, "netdev_rx_handler_unregister" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x176e94a2, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0xbbf06f47, "rtnl_set_sk_err" },
	{ 0x3dedd9b6, "skb_vlan_pop" },
	{ 0x85afb111, "rtnl_unicast" },
	{ 0x9aaa249b, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x24168380, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0xbd17dd8, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8ff6e5ab, "__dev_get_by_index" },
	{ 0x1049c7c2, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf5dba6ca, "dev_get_port_parent_id" },
	{ 0x16fff165, "init_net" },
	{ 0x9a245ff2, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xd27d0004, "inet_confirm_addr" },
	{ 0x93f62687, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x20822d48, "sysfs_remove_link" },
	{ 0x4872964f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa97b7cb3, "rtnl_af_unregister" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x855fc215, "arp_send" },
	{ 0x9b673a89, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0xb9aac6e3, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x332645a0, "skb_push" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0xdd5fae77, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x3d71ae32, "netdev_upper_dev_unlink" },
	{ 0x9b020c0f, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9118eef8, "llc_mac_hdr_init" },
	{ 0xdc986e4f, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x1d749d1e, "kobject_init_and_add" },
	{ 0x16ce0426, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1fcfd970, "ns_capable" },
	{ 0x43e2a4e8, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49a44b5a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3ce9bc42, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x267decbc, "arp_create" },
	{ 0x97e2b0c5, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x48b8f36c, "stp_proto_register" },
	{ 0xa9ba18d7, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x995fc054, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd3b2b653, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0xab2eda35, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2ebc932d, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xc607788c, "ip_mc_check_igmp" },
	{ 0x2a5e0a57, "__netdev_alloc_skb" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x116b35fc, "switchdev_port_obj_del" },
	{ 0x7dc33a1f, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x65b77f4a, "kobject_create_and_add" },
	{ 0x7c13717b, "skb_trim" },
	{ 0x89d61031, "nf_hook_slow" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x803c6788, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7269fc3b, "__ip_mc_inc_group" },
	{ 0x255e4cfe, "netdev_walk_all_upper_dev_rcu" },
	{ 0xa7a41cee, "sysfs_remove_group" },
	{ 0x774b9ca3, "__traceiter_br_fdb_external_learn_add" },
	{ 0x27dc1abf, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcf9bd505, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcab77b1c, "vlan_vid_add" },
	{ 0xf753b77d, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xf1ab33db, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x24925cb6, "call_netdevice_notifiers" },
	{ 0x62954db, "is_skb_forwardable" },
	{ 0x57a075e7, "vlan_vid_del" },
	{ 0xc38f26bd, "dev_set_allmulti" },
	{ 0xd70e92ed, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x83b5badb, "netdev_master_upper_dev_get" },
	{ 0xd00f5c54, "ipv6_dev_mc_inc" },
	{ 0x7be1ca10, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd7ab8b3f, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xef5c0a2e, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1b590fcd, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1e27e959, "skb_clone" },
	{ 0x9d407b20, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x13aa8824, "dst_release" },
	{ 0x4674d8af, "netif_carrier_on" },
	{ 0xb425a897, "kobject_uevent" },
	{ 0xbb5b182, "arp_tbl" },
	{ 0x2539d9d3, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x39160e90, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd5f3fd7d, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe61ae855, "netif_set_tso_max_size" },
	{ 0xe242b391, "dev_disable_lro" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xccddfc64, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x17632806, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xf4d6ca75, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b9bd1b, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xbe8c96f7, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x29be0cb2, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x750cc32e, "skb_ext_add" },
	{ 0x9658ca55, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x9b4be6f2, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x99cd52f8, "neigh_lookup" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf61e8fb1, "kobject_put" },
	{ 0x7073d732, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "F066C06A3F63323D13AE1D9");
MODULE_INFO(rhelversion, "9.5");
