#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xb7ed6722, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3fbbbc9f, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xbea91cd3, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x3cad6014, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xeee9ab18, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x23471936, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xfdb6b5f0, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x0d89efa7, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x46397a13, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xa90630b7, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x20031bb1, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xbad35f4e, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x8b4bd841, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x3eb9e949, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x62f3a24a, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x36130e17, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x2c70b25c, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xd26e044f, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x9abd9dd5, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xacbf87be, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x21975a21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99620524, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xec3e373f, "icmpv6_ndo_send" },
	{ 0xa39f221a, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9510b456, "alloc_netdev_mqs" },
	{ 0x7073d732, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc986e4f, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7519c490, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xbe65a589, "ip_route_output_flow" },
	{ 0x13aa8824, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8ff6e5ab, "__dev_get_by_index" },
	{ 0xef0e4df9, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbd4c5167, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x57955e5, "netdev_state_change" },
	{ 0x1fcfd970, "ns_capable" },
	{ 0x2420c2cc, "dev_set_mtu" },
	{ 0x16fff165, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xfb795381, "iptunnel_xmit" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x3d50b584, "__skb_get_hash" },
	{ 0x90117043, "dst_cache_get_ip4" },
	{ 0xa2a81f50, "dst_cache_set_ip4" },
	{ 0x93f54b7c, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf753b77d, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xea595301, "skb_scrub_packet" },
	{ 0x7cdea264, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0x45d974ff, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C79CC6ED03117D53762AAB8");
MODULE_INFO(rhelversion, "9.5");
