#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x81ed019d, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xc9d6c051, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa472515b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x97d01304, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x2ef50cbe, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xcc90e0cb, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xc03c7bd5, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x0ace0349, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x08ddd113, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xea1e97f4, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xa18cf8e2, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xeae1c15b, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x8825e95c, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x0a0a964d, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xa91d89aa, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xa8d1826f, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xa612041f, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xb24d89f0, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x450ce1a7, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xe862ca4e, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x45d53a9e, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x37a566ef, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xed3159f3, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x01348fd2, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xbf48652b, "_gpl");
SYMBOL_CRC(print_tuple, 0xde8bebb4, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xff7d8bb2, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xb646dbb4, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x752e0295, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x25fd9f16, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x2cc5fa8d, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x4406ee07, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x0156318c, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xeb1b4d42, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x0181354c, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xed6e085f, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x543f167d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xbb76d995, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xbe4b65b9, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x94a44368, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x358e4e0d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x4c99ae31, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x53af40be, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1ce3de55, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x36c38299, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x3af76d65, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xbe4b0061, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x4da13d05, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x35e78c78, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x7085385e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xd108c4dd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x051f1b1f, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x4965ba67, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x486a7863, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x6e8f0273, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x65aba4cf, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x562f4d58, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x6868c1b6, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x54b0cb4e, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x2a313534, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x87ecc2e5, "_gpl");
SYMBOL_CRC(nf_confirm, 0x33dba791, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xbaa95bba, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xa5f5818f, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd1e88271, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x6e46a5dd, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x6eee71a0, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x565f4de5, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xfbf073c2, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xfa7eaf17, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xd9ce7638, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x0752a748, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x4b88e405, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x1c2b1b58, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xc77069af, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xc0e9f87c, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x9a9cd1f4, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x1021567d, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x68fdffba, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xb96bdae4, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xe96fbd84, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x5d358544, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x42fb17e5, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x0c332875, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x75f456fe, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x4ab493c8, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x68f5f3ab, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x00d56d59, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x8f6f368e, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xfcad98a2, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x87bbcb5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4b53ff5, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4d107773, "nf_defrag_ipv4_disable" },
	{ 0x72ab17a2, "nf_ip6_checksum" },
	{ 0x25c93300, "proc_dou8vec_minmax" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xdaa98393, "param_ops_uint" },
	{ 0x6cc4a125, "proc_dointvec_jiffies" },
	{ 0xe7f95fe9, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x89a5911, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x16c9e2dc, "nfct_btf_struct_access" },
	{ 0xab28ff82, "param_set_uint" },
	{ 0xea62ac2f, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x36c85d0e, "nf_ct_frag6_gather" },
	{ 0x16fa55f4, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb24e79be, "kmem_cache_create" },
	{ 0x4f913056, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb8464f98, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xc8eb5eee, "nf_unregister_sockopt" },
	{ 0xb3a0330c, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0x5c4d007f, "nf_defrag_ipv6_disable" },
	{ 0xf6a3cde2, "ipv6_skip_exthdr" },
	{ 0xb32fca12, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x7bd0d2f8, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3c3877e8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1f6faf6b, "nf_checksum" },
	{ 0x8e6315f9, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x16fff165, "init_net" },
	{ 0x7a5b5f2b, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xac12ce7f, "kmem_cache_free" },
	{ 0x2613a642, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x7f02ad96, "nf_checksum_partial" },
	{ 0xed92e198, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3554f85, "nf_unregister_net_hooks" },
	{ 0xd92a29e5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x614d52e3, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a750c6, "nf_log_packet" },
	{ 0x9552a06a, "make_kgid" },
	{ 0x71ab412a, "nf_ip_checksum" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe4e7f972, "register_btf_kfunc_id_set" },
	{ 0xe2b35fbe, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd761cc8b, "down_read" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x7597bde1, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd7a468a0, "__skb_checksum" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2b783e8b, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4e07f7f7, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x3ec008bf, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x34739ecc, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x43c81c90, "unregister_net_sysctl_table" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x393807df, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x998ed342, "pskb_trim_rcsum_slow" },
	{ 0xe4a001ea, "up_read" },
	{ 0xc9a2863b, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x815fef83, "kmem_cache_destroy" },
	{ 0xbcdbd66c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "6CA96C0F98D51DA07718E84");
MODULE_INFO(rhelversion, "9.5");
