#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0x5fbeffc0, "_gpl");
SYMBOL_CRC(nft_request_module, 0x028ad254, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x010eab1c, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x8b73380c, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xb38152e4, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x82071820, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x54f5bd49, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xef3a2c68, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x316ed1a8, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xeff930ab, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xf3cd7c54, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x2ed0c4aa, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x3128b793, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x1c2a5995, "_gpl");
SYMBOL_CRC(nft_register_obj, 0xe72f3fd0, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x9a61ebda, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0xc5a1cf2c, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xdf9a380e, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x8e92d960, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x327ef7c1, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xc6c19f48, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0xd9472126, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xc73ca867, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x1f70fed0, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x4ed4052c, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x6758bf19, "_gpl");
SYMBOL_CRC(nft_data_init, 0x9d446eea, "_gpl");
SYMBOL_CRC(nft_data_release, 0x1f52c9e6, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xb9026ea8, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0xdbc98d1d, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xc0dd4363, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x0488c357, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x556aad7c, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x8a9a9bf8, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x77b3c94b, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x3bc8b729, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xf154bc11, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x0142ea18, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xd7129ddf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc4b53ff5, "__do_once_done" },
	{ 0x78f6dea6, "__netlink_dump_start" },
	{ 0x2c8ddd5f, "flow_rule_alloc" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0xd812106, "skb_copy_bits" },
	{ 0xb20dde12, "__nlmsg_put" },
	{ 0x63776ae7, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x351ec36a, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xc31910d5, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x977fa63a, "nfnetlink_subsys_register" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8c30a866, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b5150df, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x60028c1c, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xc66550f, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x3a0c79a4, "nf_route" },
	{ 0xa916b694, "strnlen" },
	{ 0xf628bdb, "__alloc_skb" },
	{ 0x67c3cda4, "nf_ipv6_ops" },
	{ 0x618911fc, "numa_node" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x3c3877e8, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb9334fa0, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x6e8bef81, "nf_register_net_hook" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3d50b584, "__skb_get_hash" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0xb2c97411, "ip_route_me_harder" },
	{ 0xd8a828e2, "skb_store_bits" },
	{ 0x9b673a89, "dev_get_by_index_rcu" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x96b9e01a, "nfnetlink_unicast" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xed92e198, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4ddfc64a, "flow_indr_dev_setup_offload" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x49cf4e9e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0xd29023f1, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x88779489, "nfnetlink_send" },
	{ 0x759637a9, "__get_task_comm" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9411a833, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7003c39, "nfnetlink_subsys_unregister" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x44ccfeb2, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7c13717b, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7597bde1, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x91dbf8ab, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0xd7a468a0, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa0e21e32, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0xfd5c4fd4, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x13aa8824, "dst_release" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0xe5837326, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x19e6c80a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x173515f4, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "47D69EC474F5950758F3DA6");
MODULE_INFO(rhelversion, "9.5");
