#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc623c1b0, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xc5828145, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xc2b0990d, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xfd773007, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xd348496a, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xa57df82f, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x69e1e316, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xf7cde436, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x9d80595c, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xf2e30541, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xdd6ef3ec, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x08cd8cad, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x1f971e9b, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x24bf7fe3, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x6a787bfd, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xe3bece54, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x7befae4a, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xb80262b5, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x13e935ac, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x27444c69, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x1e17f600, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x1d2353fb, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xd868df40, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xf23af919, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x63cdae76, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x9fe259bb, "sock_map_close" },
	{ 0x48ec123f, "sock_queue_rcv_skb_reason" },
	{ 0x1d8a37d6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96640317, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf6e546bc, "consume_skb" },
	{ 0xbbb48778, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6f3a5f8f, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x58bd55d1, "sock_map_unhash" },
	{ 0x7f98d37b, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8c30a866, "__module_get" },
	{ 0x8417de0d, "sk_stream_error" },
	{ 0xf81bb675, "sk_msg_recvmsg" },
	{ 0xa46d58a4, "ns_capable_noaudit" },
	{ 0x990a48ef, "__put_cred" },
	{ 0x7d7206c5, "sk_error_report" },
	{ 0x8c60fccb, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x568489a3, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8799451a, "sock_register" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x8d624b27, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c3877e8, "module_put" },
	{ 0x90a4c2f2, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd9724ee, "sk_skb_reason_drop" },
	{ 0x1d87a3d5, "sk_free" },
	{ 0x7b401d0c, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x65fcedfc, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xce935914, "sock_recv_errqueue" },
	{ 0xd92a29e5, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc22c8912, "mutex_lock_interruptible" },
	{ 0xc39348a, "sk_alloc" },
	{ 0xd659197a, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xed30d8d0, "misc_register" },
	{ 0x17a950be, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xc07901fd, "sock_no_sendpage" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xf9773fb4, "nonseekable_open" },
	{ 0x411bbbd6, "sk_psock_drop" },
	{ 0xcf9bd505, "__dev_queue_xmit" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1e27e959, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x23c96c1e, "remove_wait_queue" },
	{ 0xab442055, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe48dec8f, "sock_setsockopt" },
	{ 0x8e82f6af, "sock_init_data" },
	{ 0xbcdbd66c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A65FFC99FEFF720CACF8119");
MODULE_INFO(rhelversion, "9.5");
